2003-11-12  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-RC3

	* v1.4.1 Release Candidate 3

	* Added warning notice to upgraders in Config. Wizard Step 3.

2003-11-11  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-RC3-b7

	* Fixed Image::getTag() to properly set image dimensions to $size if
	  specified. Previously, the setting was being improperly ignored in
	  some cases.

	* Fixed Config. Wizard's check_jpegtran() which was failing in
	  some cases when it shouldn't have been. (Bug #818041)
	
2003-11-11 Jens Tkotz <jens@peino.de> 1.4.1-RC3-b6

	* Language: Update German (de_DE), Brazilian Portuguese (pt_BR)
	  and swedish (sv_SE) (yeah, 2nd 100%)

2003-11-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-RC3-b5

	* Added code so inline_gallerythumb.frames on existing sites still
	  works.

2003-11-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-RC3-b4

	* Fixed bug that you get error when deleting last image if there is 
	  a subalbum.

2003-11-11 Jens Tkotz <jens@peino.de> 1.4.1-RC3-b3

	* Bugfix: When in Language Mode 0 (No ML at all) then check for
	  PHP has gettext or not is skipped. So _() was undefined.
	  Fixed now.

2003-11-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-RC3-b2
	
	* Moved gallery/setup/manifest.inc to gallery/manifest.inc as 
	  it's purpose is to test that all the files in subdirectories 
	  have been updated, and so we need to make sure it has been 
	  updated.

2003-11-10  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-RC3-b1

	* Fix to gettext (missing _() ) problem.

	* Fix to missing pixels in shadow frame. 

	* Updating of manifest.inc.

2003-11-09  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-RC2

	* v1.4.1 Release Candidate 2

2003-11-09 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-RC1-b1

 	* Added number of votes to sorting order of voting.  Critique sorts 
 	  by the average votes, and this enables differentiation between 
 	  one voter giving and image 10/10 while everyone else ignores it 
 	  and 400 voter giving it 10/10.  It also means that in rank voting, 
 	  if 4 people vote an image 1/4 it will appear higher on the list 
 	  than an image that one person rates 4/4.

2003-11-08  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-RC1

	* v1.4.1 Release Candidate 1

	* Bumped Config. Wizard version (forgot to do it in -b216).

2003-11-08 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b217

        * Change: It seems we can use ML with PHP < 4.1.0 ; removed checks and
	  warning.

	* Change: Fixed naming of "Default" Skin to "None".

        * Language: Update German (de_DE)

2003-11-08  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b216

	* Removed the "default" skin so we use the original files instead. Now
	  we call the default skin "none". Hopefully that's not too confusing.

	* Fixed typos in util.php and in functions.inc.
	
2003-11-07 Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b215

	* Changed recommended chmod value for the setup/ directory
	  to 400, to prevent insecuries with PHP/suexec.

2003-11-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b214

	* Fix check_versions.php so it runs on Windows box.

	* Tweaked styles for check_versions.php.

2003-11-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b213

	* Removed one warning and one potential warning.

2003-11-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b212

	* FIxed setup/check_version.php so it actually works with partially 
	  upgraded 1.4 Galleries.

2003-11-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b211

	* Update manifest, and stop error messages if build_manifest.php
	  viewed via browsers.

2003-11-06 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b210

        * Language: Found untranslated strings, Synced all languages against
	  this.

        * Language: Update German (de_DE), Suomi (fi_FI)

2003-11-04 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b209

        * Language: Update German (de_DE), Suomi (fi_FI)

2003-11-04 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b208

        * Bugfix: Fixed Typo and Warning (thanks to Seta)

2003-11-03 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b207

	* Language: Updated Suomi (fi_FI), Spanish (es_ES), German (de_DE)

	* Change: Updated Language README

2003-11-03  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b206

	* Work around a PHP bug on OpenBSD where if you store the results of 
	  ceil() in a session variable, it goes in as a float (eg "1.0000")
	  instead of an int, triggering OpenBSD's you-can't-serialize-a-float
	  serialization bug.

2003-11-03  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b205

	* Fixed a bug where we were comparing old style uids (as would be found
	  in an album created before the uid format change) agains new style
	  uids.  Fixed it the right way -- we now upgrade the album owner uid,
	  permission uids, item owner uids and comment owner uids to the new
	  style.

2003-11-02 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b204

	* Language: Updated:
			Vietnamese (ja_JP)
			Swedish (sv_SE)
			Japanese (ja_JP)

	* Bugfix: Added missing <?php echo ?> around a var

	* Bugfix: Added nls Infos for en_US


2003-11-02 Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b203

	* Changed recommended chmod for the setup/ directory to 700,
	  instead of 0, to prevent problems with some FTP clients
	  and servers.  This is already the recommended chmod in
	  the documentation.
	  
2003-10-21 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b202
	
	* In Config. Wizard, made the names of each skin a link to its
	  screen shot.
	
	* Added first-draft descriptions of all current skins.

2003-10-21 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b201

	* Fixed bug where ".", ".." and ".users" would display with 
	  "Attention adminstrator, remove these directories".

	* Added screen shots for all skins.

2003-10-30 Chris Schwerdt <muti@afterglo.ws> 1.4.1-cvs-b200

	* Added move-album command to gallery_remote2.php

	* Added move-album to gallery remote protocol documentation.

2003-10-29 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b199

	* Language: - Found some untranslated strings
		    - Synced languages
		    - Updated German (de_DE)

	* Changes: Tweaked Appereance at some places.

2003-10-29 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b198

	* Language: - Updated German (de_DE), Polish (pl_PL)
		    - Bugfixed Report.

2003-10-21 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b197

	* Don't display the voting instructions if there are no images.
	  (thanks to Jens).

	* Clean up of results display for polls.

2003-10-21 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b196

	* Fixed bug in voting.  Critique votes were being set to default 
	  values for images that weren't voted for.

2003-10-25 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b195

	* Language: - Synced Languages.
		    - Updated German (de_DE), Bulgarian (bg_BG)

2003-10-21 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b194

	* Bug fixes (mostly thanks to h0bbel).  Viz:

	* Don't try to send mail to pseudo users.

	* New password link is now sent (if mail requested) to newly created 
	  users from "Manage Users"

	* CreateNewUser now returns user rather than 1 on success (so hash 
	  can be added if email sent).

	* As password change page is now correctly inserted into the email as 
	  new password link, no longer include pretty-printed passwords in 
	  email.

	* One sentence changed in translation, due to misplaced <br> - sorry 
	  Jens!

2003-10-25 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b193

	* Language: Update Vietnamese (vi_VN)

2003-10-25 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b192
	
	* Change: remove debug code

	* Language: - Found an untranslated string. Synced languages against it.
		    - Updated German (de_DE), Vietnamese (vi_VN)

2003-10-25 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b191
	
	* Bugfix: No locales on "other" OS, should work now.

2003-10-25 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b190

	* Language: Updated German (de_DE), Swedish (sv_SE)

2003-10-24  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b189

	* Fixed a bug in the Album class where we were resetting the 
	  last modification date when we shouldn't have been on all
	  below-the-bar changes (eg click count manipulation).

2003-10-24 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b188

	* Language: - Translated missing string.
		    - Synced Languages against this.
		    - Updated German (de_DE), Lithuanian (lt_LT).

	* Change: - Added some Linebreaks for better reading.
		  - Remove yellow colored background for locale warningtext.
	

2003-10-23 John Kirkland <jpk@bl.org> 1.4.1-cvs-b187

	* Fixed [ 829241 ] Move nested album to a nested album in itself

2003-10-23 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b186

	* Language: - Added ../layout/breadcrumb.inc to core-filelist.
		    - Synced all po files against this change.
		    - Update German (de_DE).

	* Bugfix: Flags for languages works now everywhere.

2003-10-22 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b185

	* Language: Update Slovenian (sl_SI)

2003-10-21 Jesse Mullan <jmullan@visi.com> 1.4.1-cvs-b184
	
	* view_photo.php updated to generate meta keywords tag from 
	  the photo's keywords

2003-10-21 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b183

	* Bugfix: Added missing global $GALLERY_BASEDIR, 
		  which causes flags not to showed.
	 (Found by H0bbel)

2003-10-21 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b182
	
	* Language: Fixed Czech Encodings (both)
		    This fixes Bug #821509

2003-10-21 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b181

	* Language: Some tweaks when no or empty locale folder is there

	* Language: - Changed a wording a little.
		    - Update german (de_DE). 
		    - New Report

2003-10-21 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b180

	* Gallery will now work with locale directory removed.

	* manifesst.inc moved to setup/

	* build_manifest.php moved to tools/

	* check_versions.php added.  It's not linked to anything, but we 
	  can get users to run it to see if their  gallery is up-to-date.

	* added "emphasis" to config.css

2003-10-20 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b179

	* Changed " to ' in manifest.inc to make Jens happy.

2003-10-20 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b178

	* Updated Manifest.inc in include files with newly added Ids.

	* Fixed checkCVSVersion so that the $Id is no longer replaced
	  by version of that file.

2003-10-20 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b177

	* Manifest of Gallery source.  This will enable Gallery to verify it 
	  has the correct files to run.  This code is written, and tested, 
	  but not called anywhere in Gallery, yet.  We have to decide if 
	  this should be part of 1.4.1, and if so, add it to Config. Wizard, 
	  albums.php. We also need to wrap strings in _() for translation.

	* Added last of the missing dollar-Ids for CVS

	* Added new functions fs_is_readable().

2003-10-18  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b176

	* Fixed an issue with an embedded install (i.e. *Nuke) where changing
	  a language would cause the "$safe_to_include" error.  Also added
	  back the $nls aliases for en_US that prevented "English (US)" from
	  showing up in the dropdown menu in *Nuke (Thanks again Warren).

2003-10-18  John Kirkland  <jpk@bl.org> 1.4.1-cvs-b175

	* Centered "add comment" when there are comments present.

	* Fixed bolded lines between navigation tables.

	* Minor tweak in printNestedVals to make albums lists show
	  up just a tad faster.

	* Made modcaption css style work better in Konqueror & Mozilla.

2003-10-18  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b174

	* Added a missing space in the ImageMagick execution code that
	  would cause a weird error and status code.  This was introduced
	  in -b173.

2003-10-18  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b173

	* Fixed the "Rasputin Bug".  The +profile '*' issue should now be
	  resolved.

2003-10-17 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b172

	* Fixed (hopefully) the white space in frame bug.  Image size 
	  parameters were not being rounded, so could be fractional.

	* Centered "add comment".

	* Added test to stop breadcrumb looping indefinitely in case of 
	  "inter-nested" albums.  Use hidden config option 
	  gallery->app->maximumAlbumDepth to allow people with deeply 
	  nested albums to still display all parent albums.

2003-10-18 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b171

	* Language: - Update german (de_DE). 
		    - Added Changelog to every Language	
		    - Synced languages against latest changes

2003-10-17 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b170

	* Roll back to b168.  

2003-10-17 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b169

	* (Edited) Fix for non-existent bug.

2003-10-17 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b168

	* Put in frame work for translating email into recipients language.

	* Included URLs in update emails, where possible.

	* Email can be sent to admin after any change in any album 
	  (hidden config vars).

2003-10-17  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b167

	* Fixed some errors in move_album.php and move_photo.php.

2003-10-17 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b166

	* User name and IP added to change emails.

2003-10-17  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b165

	* Removed several warnings, notices, typos.

2003-10-16  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b164

	* Fixed a typo in delete_photo.php

2003-10-16 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b163

	* Added option where logged in visitors can subscribe to get all 
	  comments and/or other changes to album (or image) sent as email.

	* Added emailSubjPrefix.

	* Edited descriptions of intermediate image sizes in Config. Wizard.

	* Some more magic_quotes tidy-ups.

	* Validation buttons appear if devMode is "yes".

	* Validation buttons added to more pages.

	* Comments added using $id rather than $index.

	* Added slideshow_loop to nested albums.

2003-10-16 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b162

	* Change: Adjust all check Pages

	* Language: - Synced against Changes
		    - Update German (de_DE), Vietnamese (vi_VN)

2003-10-16  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b161

	* Fixed a minor issue in the config wizard where we weren't properly
	  displaying a warning string when gettext is not enabled.

2003-10-15  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b160

	* Fixed massive brokenness in the ":" to "_" migration in UIDs. None of
	  the permissions UIDs had been updated, and the change neglected to
	  account for Windows platforms, where the ":" was in fact a ";"
	  semicolon.

2003-10-16 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b159

	* Language: Update Spanish (es_ES), German (de_DE)

	* Change: Adjust Layout of check_netpbm.php.

2003-10-15  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b158

	* Fixed a warning in setup/functions.inc form_password() code

	* Bumped config version to resolve warnings about missing
	  $gallery->app->gallery_slideshow setting.

2003-10-14 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b157

	* Change: 2nd try for Optimization.
		  - modified getNLS() to use a static var.
		  - modified gallery_languages() to use getNLS() 
		    instead of own searching.

	* Change: Added another dir where might locales (OpenBSD related)

	* Language: Readded Czech

	* Language: Updated German (de_DE), Lithuanian (lt_LT), Swedish (sv_SE)

	* Change: Removed <span>....</span> inside a translation.

	* Language: adjust scripts.

2003-10-13 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b156

	* Comment viewing and adding now controlled by permissions (thanks 
	  to Don Willingham).

	* Removed nasty &amp; stuff until we can fix it properly.

	* Change gallery-announce URL to persistant SF address.

	* Comments from logged in users can be forced to include their name

	* Warning and Notice reduction.

	* Slideshow looping can be turned off.

	* Fixed "invalid back reference in search" bug.

	* Added fields["background"] properly to Album.php.

	* Slide show headers corrected when number of images less than 
	  size of show.

	* Added some more validations.

2003-10-13  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b155

	* Fixed my bad cut-n-paste carelessness in classes/Album.php.

	* Removed highlight_photo.php, which is no longer used.

2003-10-13  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b154

	* Replaced colons (:) in filenames with underscores (_).
	  (Fix from Vallimar) Task #84749, Bug #610791

	* User deletion no longer leaves stale .bak and .lock files behind.
	  (Fix from Vallimar)

	* Bug #822339: delete_photo.php now returns to the correct location in
	  all circumstances. (Fix from Vallimar)

	* A handful of HTML issues fixed. (Bugs #821312, #555285 included)

	* layout/adminbox.php: Added an "adminbox" classname to <td> elements
	  for more CSS/skin customizability.

	* Synced current list of "default" values available in
	  edit_appearance.php to Album::setNestedProperties() and
	  createNewAlbum(). We need to be more careful about this when adding
	  items in the future. Perhaps we can centralize the list. Note that
	  poll settings are still not inheritable from parent album.
	
	* vi_VN-nls.php: Changed 'Vietnamese' to native name.

2003-10-13 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b153

	* Language: Update: Korean (ko_KR)

2003-10-13 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b152

	* Bugfix: Fixed #812116 with resetting locale.

	* Language: Added Vietnamese (vi_VN), Updated report.

	* Bugfix: Added missing )

	* Bugfix: Bash Script

2003-10-13  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b151

	* Reverted to 1.4.1-cvs-b149.

2003-10-13 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b150

	* Change: Optimization! 
	   - Removed function getNLS(). If initLanguage() or load_languages()
	     was called the info is in $gallery->nls
	   - Removed function gallery_languages(). If initLanguage() or
	     load_languages() was called the info is in
	     $gallery->nls['language']

	* Change: Modified makereport.

	* Bugfix: Fixed #812116 with resetting locale.

2003-10-13 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b149

	* Change: Updated report and report tools.

	* Change: Updated Bash Scripts.

	* Change: Changed \" to &quot; in config_data.inc.

	* Language: Synced all languages against latest changes.

	* Language: Updated German (de_DE), Swedish (sv_SE).

2003-10-12  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b148

	* Fixed bug 819770: "Config wizard does not always detect Apache2
	  mod_rewrite"

 	* Fixed config versioning bug where versions have decimal values.  We
          now quote the value in config.php at all times.

        * Further improved security in the setup directory for Windows 
 	  installations.  

2003-10-12 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b147

	* Change: Replace preg_matc with ereg

2003-10-11 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b146

	* Warning and Notice reduction.

	* Removed untrue "new in 1.4.1" message.

	* Added text and link to encourage Gallery admins to subscribe to
	  gallery-announce mailing list.

2003-10-11  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b145

	* Fixed a security issue in the setup/index.php file, which could be
	  exploited maliciously to allow remote files to be included, leading
	  to code injection.

2003-10-11 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b144

	* Bug fix, where resize didn't work with netpbm.  Introduced in 
	  1.4.1-cvs-b131.

2003-10-10 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b143

	* Bugfix: Catch explode on empty explode (NetBSD has no locale command)

	* Change: Added workaround for non working locales (also NetBSD related)

2003-10-10 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b142
	
	* Change: Added title attribute to "up narrow", Changed text from "UP"
		  to "navigate up" and make it translateable.

	* Bugfix: Changed \" to &quot; in configdata.inc

2003-10-10 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b141

	* Bugfix: When user 'admin' already was there and user gave a new
		  password in config wizard this was not saved.
                  Bug introduced in 1.4.1-cvs-b110.

2003-10-10  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b140

	* Fixed a bug introduced by me where the admin password would never
	  save properly in the Config. Wizard, preventing any possibility of
	  logging in.

	* Some browsers automatically clear password fields, so revisiting Step
	  2 might inadvertently clear the previously entered values. The
	  Config. Wizard now caches the password data to prevent this.

2003-10-09 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b139
	
	* Removed one warning.

	* Replaces "&amp;" from lost password emails.

2003-10-08 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b138

	* Bugfix: Changed Order of including to make fs functions available
	  from util.php.

2003-10-08 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b137

	* Change: Split nls.php into nls.php for each language
	
	Note: We are now ready for language packs, because all language related
	      information is bundled into one folder per language.

	Todo: - Improve handling of multiple same languages which just have
	        different charset.

2003-10-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b136

	* Added devMode, so developers can get all warnings and notices.

	* Warning reduction and validation.

	* Restored missing validation links lost in skins merge.

2003-10-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b135

	* Fixed bug introduced in b134.  getStyleSheetLink() now finds 
	  the default .css file  without the ".default.

2003-10-07 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b134

	* Fixed bug #818408, where rename did not refresh album correctly.

	* Added facility for translatable name and title for skins, plus 
	  screenshot.

	* Renamed *.css.default in default to *.css, as you should create 
	  your own skin (cp the default) to personalize.

2003-10-06 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b133

	* Bugfix: Gallery now works again when PHP has no gettext.

	* Bugfix: Gallery now checks for a setup/SECURE file when in windows.
		  If not present Gallery will stay in configmode

2003-10-06 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b132

	* Bufgix: Fixed cut/copy error in fs_opendir in patform/fs_win32.php

2003-10-06  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b131

	* The ImageCrop Java applet now works with relative URLs.

	* Print services now work with relative URLs, provided the server
	  hostname is valid.
	
	* Added admin password confirmation in Config. Wizard, so we're now
	  safe to have a "password" type input field.

	* Zip files can now contain image names with spaces. (Bug #809978)

	* Task #80093: Filename--->caption now replaces '_' with ' ' to look
	  cooler. If people want other characters replaced, it's just a matter
	  of adding more replacements to the transliterate strtr() line in
	  util.php's processNewImage():

		$caption = strtr($originalFilename, '_', ' ');

	* Replaced some old lines in util.php which were mysteriously
	  re-introduced in -b129. I am now entirely dubious of "cvs up -j".

2003-09-05  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b130
	
	* Fixed a cut and paste error in check_jpegtran().  Bug #818041

2003-10-04  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b129

        * Merged DEV_1_4_1_skins:
	  Gallery now supports "skins", which establish the look and feel
	  of the whole site. Coded by JadeDragon, and implemented into the
	  Gallery distribution by John Kirkland.

2003-10-04 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b128

	* Moved flags into their corresponding folder in locale/

2003-10-04  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b127

	* Re-instated everything up through -b125, except for the skins code.

	* Bumped the Config. Wizard version down by 1 until merge.

2003-10-04  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b126

	* Reverted to -b122. The -b123 merge was partially botched. :(:(

2003-10-04 John Kirkland  <jpk@bl.org> 1.4.1-cvs-b125

	* Re-centered "add comment" link and added <br><br> between picture
	  and description in view_photo.php.  CVS must have eaten these in
	  the merge somehow.

2003-10-04 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b124

	* No longer require confirmation when changing highlight.

	* Fixed bug where image dimensions didn't display under image.

	* Added align="center" that beckett suggests to inline_imagewrap.inc.

2003-10-04  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b123

	* Merged DEV_1_4_1_skins:	
	  Gallery now supports "skins", which establish the look and feel of
	  the whole site. Coded by JadeDragon, and implemented into the Gallery
	  distribution by John Kirkland.

	* Renamed cs_CZ to cs_CZ.iso in nls.php to get Czech working again. It
	  should probably be renamed to "cs_CZ.iso-8859.2" (?).

	* Fixed issue with new layout scheme to bring some global variables
	  into scope in the included files. (Thanks Joan!)
	
2003-10-03 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b122

	* Fixed bug in offline slideshow.  Identical to 1.3.5-cvs-b18 bug.

	* Removed more warnings.

	* Replaced $GALLERY_BASEDIR/ with ${GALLERY_BASEDIR}

	* Update capture date when refreshing EXIF data.

	* Removed stray pixel from TR.gif for polaroids.

2003-10-02  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b121

	* Fixed validation errors in view_album.php and view_photo.php.

	* Edited language namings in nls.php.

2003-10-03  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b120

	* Bugfix: Available Languages were'nt detected correctly when not
	  in the Config. Wizard

	* Bugfix: Available Languages were not saved correctly in the
	  Config. Wizard

2003-10-03  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b119

	* CHANGE: Position of .po files changed: available languages are
	          only those who are found correctly in locale folder

	* NEW: .po and .mo files are now split

	* Change: call and return of sanityCheck()

	* Change: New Report

	* Languages: Update German (de_DE), Traditional Chinese (zh_TW),
	             Swedish (sv_SE), Bulgarian (bg_BG)

2003-10-01 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b118

	* Some bug fixes, some warning reduction and lots of validation 
	  stuff.  Will merge into SKINS branch.

	* No pulldowns in offline mode.

	* Frames should work correctly in offline mode.

	* Validation stuff:
		- added DOCTYPE
		- replace "&" with "&amp;"

2003-10-01 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b117

	* A check in of changes that won't affect the skins stuff, as the 
	  directory (layout) doesn't exist in that branch

	* Mods for w3c validation.

2003-10-01 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b116

	* Missing functions required by previous checkin.

2003-10-01 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b115

	* A check in of changes that won't affect the skins stuff, as the 
	  directory (html_wrap) doesn't exist in that branch

	* $GALLERY_BASEDIR security added.

	* Validation links added to album and photo page, and modified in 
	  albums.php.

	* CVS 'Id' tags added.

	* ALT tags added

2003-09-30  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b114

	* Reverted back to +profile '*' when using ImageMagick.  The way
	  we "fixed" the problem with wasn't working and was just making
	  thumbnails extremely large.

2003-09-30  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b113

	* Added an <a name="image"></a> link to view_photo.php directly above
	  the image. (RFE #560423)

	* Removed some short PHP tags. ('<?' ---> '<?php')

	* Grammar re-work of Config. Wizard. Translation updates should
	  follow. Any further changes are welcome.

	* Made setup/diagnostics.php conform to Config. Wizard style. We should
	  now go ahead and do the same for each of the tests on that page.

2003-09-29  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b112

	* Added support to resize original images on upload (either by
	  dimension or filesize). JPEG comments and EXIF data are preserved
	  when using ImageMagick. The EXIF data only will be preserved if using
	  NetPBM when jhead is also installed. (Task #80080)
	
	* Implemented Vallimar's "move/reorder" patch which splits the
	  move_photo.php and move_album.php code between intra- and inter-album
	  operations. This enhances performance dramatically in large
	  galleries. (Patch #757390)

	* Added patch from Vallimar to display clickable image dimensions below
	  thumbnails. This is an optional setting, configurable on a per-album
	  basis. (Patch #770376)

	* Strip EXIF data from JPEGs when compressing in ImageMagick. We did
	  this before, when we had '+profile "*"', but are now stripping one at
	  a time, since some installations cannot handle the +profile switch
	  very well. (Bug #806349)
	
2003-09-29 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b111
	
	* Fixed bug in recursive slideshow so link now works without
	  mod-rewrite.

	* Self register now sends a link to create a new password.

	* Tweaked lost password text.

	* Spelling bug galery/gallery in view_album.php.

	* Added Paks' password obsfucation hack.  Encryped passwords
	  no longer be detected by looking up MD5 dictionary.

	* Added explicit $GALLERY_BASEDIR to the frame include files
       	  because of user error.

	* Added missing CVS Ids.

2003-09-29  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b110

	* Languages: Synced and cleaned (!) .po files
	
	* Languages: Update German (de_DE)

	* Bugfix: CSS was not loaded correctly for error/ pages.

	* New: Admin Password is only required when no admin is present.
	  (Thanks to Vallimar)

	* Change: Pretty printing in html_wrap/inline_imagewrap.inc

	* "Bugfix": Corrected layout for frametype "solid" (IE doesnt like
	  spaces in <td></td>). Shadow frame layout still a little broken.

2003-09-28 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b109

	* Removed all the pretty printing from html_wrap/inline_imagewrap.inc
	  so it displays correctly in IE 6.

2003-09-28  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b108

	* Fixed bug where new drop-down wouldn't work in Nukes.

	* Made Image.php <img> tags XHTML compliant. There are still many
	  other non-compliant <img> tags.
	
2003-09-28  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b107

	* Migrated "admin options" in view_album.php into a drop-down menu.

	* Functions popup() and popup_js() (in util.php) now return
	  JavaScript code without "javascript:" prepended to it.
	
	* Added function testRequirement() to util.php to simplify testing of
	  common boolean conditions.
	
	* Removed PHP notice from reset_votes.php.
	
2003-09-28 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b106
	
	* Don't display border when displaying frames.

	* Renamed polaroid to polaroids, and add new frame polaroid.  Based 
	  polaroids, but just a single photo.

2003-09-27 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b105

	* Frames around images are now configurable.  New frames can be added 
	  in html_wrap/frames, and they can be be configured for main page,
	  and for each album.

2003-09-26  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b104

	* Added preliminary support for EZ Prints photo print service.

	* Fixed a Config. Wizard PHP warning as well as a debugging line.
	
2003-09-26  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b103

	* Implemented support for multiple photo print services. Chalked in
	  support for EZ Prints, however it doesn't do anything yet. Bumped
	  album version to migrate to new data format.

	* Removed PHP warning from upgrade_album.php.

2003-09-26  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b102

	* Bugfix: Count of 'maybe' and 'unavailable' locales

	* Bugfix: Remove \" inside a _()

	* Language: Updated German (de_DE) :), Korean (ko_KR)

	* Change: Added $Id and Copyright in some files

2003-09-26  Chris Schwerdt <muti@afterglo.ws> 1.4.1-cvs-b101

	* Fixed auto rotate bug in gallery_remote2.php. Comparison had not
	  been changed.

2003-09-26  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.4.1-cvs-b100

	* Changed autoRotate to auto_rotate in gallery_remote2.php for
	  protocol consistency, added debugging statements.

2003-09-26  Chris Schwerdt <muti@afterglo.ws> 1.4.1-cvs-b99

	* Added support to disable auto rotate on add-item in gallery
	  remote.

2003-09-26  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b98

	* Change: Use $borderColor instead of white when
	  album_thumb_frame_style == "dots".

2003-09-26  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b97

	* Language: Update Bulgarian (bg_BG), German (de_DE)

	* Language: New Language Catalan (ca_ES) 

	* Language: Synced against changes

	* Change: Tweaked ml_pulldown.inc for flags to see which language is
	  current.

2003-09-26 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b96
	
	* Print progress information when upgrading users, so we don't get
	  "it just hangs" error reports.

2003-09-25  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b95

	* Bugfix: "send password" link was not visible in login.php

	* Bugfix: Anchor Tag <a ...></a> around a table is not allowed.
		  Caused albums thumbs to not link.

	* Change: Startpage is valid HTML again.

	* New: Frame around album thumbs is now configurable

	* Language: Synced against changes

2003-09-24  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b94

	* Modified code around locale alias
	  - Changed behaviour for "optional" back to behaviour <= 1.4.1-cvs-b80
	  - Improved locales alias handling for:
		o Systems without gettext
		o Systems where we cant detect system locales
		o Systems where are some system locales missing, some not
	  - Added "remove_empty" and "allow_empty" for constants
	  - removed function test_locale() from setup/functions.inc

	* Added function gettext_installed() in util.php which returns true or
	  false

	* Use "allow_empty" for slideshow length

	* Fixed somes typos

2003-09-24 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b93

	* Set border="0" for images in frame, so they do not get highlighted.

	* Removed 2 short php tags (oops!).  Thanks Jesse.

2003-09-23  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b92

	* Suppress a warning in the config wizard for missing locale aliases.

2003-09-24 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b91

	* Added $lastAction, $lastActionDate, $origEmail and log() to class 
	  Gallery_User as the start of proper logging of user actions.

	* Now you can only recover your password every 15 minutes, to 
	  prevent accidental or deliberate blocking of passwords.

	* Use admin email from email config as admin email in UserDB.  
	  From Vallimar.

	* As the album frames are bigger, you can now go to the album
	  by clicking anywhere on image or frame.

	* Encrypt the key sent out for new password, so that people
	  can't access it by looking in the .users directory.

	* Fixed bug where you couldn't change prefs without adding
	  all three passwords.

	* Change to view_photo.php, so if we are looking at a
	  photo,and then go up to the parent album, we good to the
	  page that photo is on.  Thanks Vallimar!

	* Also from Vallimar, tweak in view_photos.php to not
	  generate javascript at all if we can't see full sized
	  images.

	* One more from Vallimar. Copy only available on images.

2003-09-23 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b90

	* Fixed bug: now prints errors for forgotten passwords in the correct
	  place in login.php.

	* Fixed bug: warnings were generated if you had no email notifications
          in place, and sent email.

2003-09-23  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b89

	* Language Update: Korean (ko_KR), Hungarian (hu_HU), Japanese (ja_JP),
			   German (de_DE)

	* Synced all languages against latest changes

	* removed \r in gettext messages (email)

2003-09-23 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b88
	
	* Adding of new_password.php.  Part of the lost password 
	  modification, and should have been added in b87,

2003-09-23 Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b87

	* Vallimar's self registration patch, somewhat modified.
	  If this option is enabled, users can create an account 
	  for themselves Email will be sent to them with the 
	  password.

	* BipBip's lost password patch, somewhat modified.  This
	  adds an option to login page to recover password.  Users
	  are emailed a link, that takes them to a page where they
	  can set a new password.

	* Added setup/check_mail.php to support above functionality.

	* Re-jigged slideshow_low.php so it would actually be low
	  tech. In 1.3.4-cvs-b6 the function getElementById() was
	  added to the javascript, which is not available in Netscape
	  4.7, probably the most common old browser.  Reverted back
	  to pre 1.3.4-cvs-b6 version, the added back all the changes
	  made post 1.3.4-cvs-b6.

	* Only show slideshow link if slideshow is available.

	* Moved resize, autorotate and move-to-beginning into
	  addPhoto(), so code is not duplicated in 5 places. This
	  also fixed the unnecessary resize on move bug [803122].

	* Added Australian as an alias of en_GB as time/date/spelling
	  are nearly identical.

	* Add space in "Field[edit field]" and modified editField()
	  so we no longer have a <a href=..> inside a <a href= ..>
	  in albums.php

	* Added copy_photo.php.  Very similar to move_photo.php, but does not 
	  delete image from original albums.

	* Optionally send email to new user when creating users.

	* Optionally add many users in bulk.

	* Can have polling and edit options at the same time in view_album.php.

	* In vote results graph, use $id for name if no caption.

	* Improved messages on vote results page.

	* Number of warnings reduced.

	* Changed user pref variable $dontChange[] to $allowChange[].
	  (Vallimar)

	* Removed session compatibility warning.

	* New album thumnail frames, thanks to Demonhood (somewhat modified).

	* Print number of errors on the confirmation page of Config. Wizard.

	* Fixed locale problem in SunOS, which caused apache to
	  crash.  It can't find the locales, but doesn't crash.

2003-09-23  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b86

	* Fixed issue from -b81 so that empty locale aliases do not appear in
	  the Config. Wizard and cause unwanted errors.	

2003-09-22  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b85

	* Translated missing VOTE

2003-09-22  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b84

	* Little wording change for vote config error message

	* Language updates: German (de_DE), Polish (pl_PL), Spanish (es_ES),
			    Portuguese (pt_PT)

2003-09-22 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b83

	* Fixed Bug in initlanguage() which caused Gallery 
	  not to detect Broweserlanguage when using Opera

2003-09-21  Chris Schwerdt <muti@afterglo.ws> 1.4.1-cvs-b82

	* Bumped version of gallery remote for previous changes.

2003-09-20  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b81

	* Fixed a typo in the hungarian aliases in nls.php.  Added more aliases
	  for FreeBSD.

	* Fix a bug in the config wizard where it will complain about missing
	  locale aliases in the final step if you have an alias that is set to
	  the empty string (which can happen if we can't detect any aliases for
	  a given locale).

2003-09-19  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b80

	* Language updates: German (de_DE), Dutch (nl_NL)

2003-09-19  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b79

	* New language: Hungarian (hu_HU)

	* Language updates: German (de_DE)

	* Modified add_photo.php. 
	  Now progress bar only appears when a filename was given and this file
	  exists.  If a filename was given, but the file does not exist an
	  error message appears.

	* Synced .po files against change.

	* Added missing flag for Korean (ko_KR)

2003-09-18  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b78

	* Language updates: German (de_DE), Spanish (es_ES), Turkish (tr_TR)

2003-09-17  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b77

	* Language updates: German (de_DE), Polish (pl_PL), Finnish (fi_FI)
			    Brazilian Portuguese (pt_BR)

	* Fixed bug in Report.

2003-09-16  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b76

	* Language updates: Hebrew (he_IL), Polish (pl_PL), 
			    Traditional Chinese (zh_TW & zh_TW.utf8),
			    German (de_DE)

	* Tweaked check page. checks for PHP4 and PHP4.1 are no in one box.

2003-09-12  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b75

	* New Languages: Bulgarian (bg_BG) ; Brazilian Portuguese (pt_BR)
	 		 Added flags also.

	* Language updates: Polish (pl_PL), Icelandish (is_IS); Finnish (fi_FI)
			    German (de_DE).
	
	* removed broken lines in .po files.
	  - thanks to donwillingham for help and script !
	  - Script added.
	
	* Added Copyright to po files.

	* Updated .mo files.

	* Synced languages against latest changes/additions.

	* Flags are showed in 2 rows when more then 20.

	* Added locale fix for Linux Systems.

	* Tweaked _() emulation, now fuzzy line are ignored like gettext does


2003-09-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b74

	* Made it an option to print date of last comment instead
	  of "*".

	* Albums as well as images can be flagged if they have
	  comments available.

	* Hopefully then end of the voting stuff.   Move photo now
	  flags albums that have compatible voting, and votes of
	  albums and photos are moved with the them, if possible.

	* Removed unused parameter title/val from printNestedVals().

	* Replaced incomprehensible "You must specify one of pnmDir
	  or ImPath for Gallery to function!!" with something a little
	  clearer.

	* Removed all "new in 1.4" messages.

	* Added optional htaccess.inc, to preserve user .htaccess settings.

2003-09-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b73

	* upgrade_albums.php could go into an infinite loop with
	  a corrupted database.  Added a couple of tests to avoid
	  this situation, and be able to upgrade the non-corrupt
	  albums.

	* Modified the "upgrade all at once" text to make it better for the 
	  translators.

	* Add parameter to gallery slideshow, to make sure it doesn't use 
	  the album variables.

	* In recursive slideshow, changed name of album to a link to that album.

	* Fix so we don't create blank extra fields (thanks Beckett!).

	* Changed the CSS for errors in Config. Wizard.  Now white on red.

	* Added extra space after "Warning:" in Config. Wizard.

2003-09-10  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b72

        * Fixed an issue with paths with spaces when using jhead and
          jpegtran.  With the former, we were adding too many quotes.
          With the latter, we weren't adding any quotes.  Both situations
          caused the programs to fail.  This commit should also fix
          issues with paths with spaces on Unix-like operating systems.        

2003-09-10  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b71
	
	* Fixed bug in 6 languages where "upgrade all" link did
	  not appear in upgrade_album.php.  Note these files my be
	  reviewed by a native speaker, as in most of them, the fix
	  was to add english to the translation.
	  The broken language were da_DK, fr_FR, he_IL, nl_NL, sl_SI
	  and tr_TR.

2003-09-10  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.4.1-cvs-b70

	* Integrated a patch by Chris S that adds a new command to gallery_remote2.php:
	  fetch-album-images gets the list of images and their filenames, which
	  allows client applications (mainly Chris' screensaver) to iterate album
	  images without having to hack the album.dat files. GR 1.2 will use
	  that same method to display the list of images already on the server.

	* removed $gallery->remote_protocol_version from Version.php to cut
	  down on possible confusion in that file, since that variable
	  was never getting updated (it was only used by gallery_remote.php)

2003-09-07  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b69

	* Reworking of slideshow.php.  Note, no changes to slideshow_low.php.
		- Slideshow can now be recursive and/or random.
		- Slideshow can be turned off for an album.
		- Recursive slideshow available from albums.php.
		- Function getNextPhoto() modified to take album as parameter.
		
	* function emptyFormVar() only returns true if $name is
	  missing, not present but unset, so you can deliberately
	  set a field as NULL (eg "....&setAlbumName=&set_....")

	* Replace \n in custom fields with <br> instead of <p>.

2003-09-09  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b68

        * Language Update: Icelandic (is_IS), Swedish (sv_SE)

	* removed _("") in configdata.inc

	* Updated CREDITS

2003-09-09  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b67

	* Fixed typo in setup/constants.inc (Thanks Jens).

	* New background colour! Shock and awe all around.

	* Removed spurious PHP notice from upgrade_album.php.

	* Task #84754: Added "transpose/transverse" transformation options to
	  rotate_image() in order to extend auto-rotate-on-upload's capability
	  to all defined EXIF image transformations.
	
2003-09-08  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b66

 	* Fixed an issue with the config wizard where it would not properly
	  detect locales when open_basedir is active on FreeBSD. 

	* Adjusted print service text in config wizard

	* Fixed typo in "slideshow_recursive" param name in config wizard

	* Changed "beta version" to "devolpment build" in config wizard

2003-09-07  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b65

	* Fix for bug #801580, where polling did not work correctly
	  in view_photo.php.  Now uses correct $id.  Also now uses
	  correct $id to display your current choices in Rank mode.

	* Fixed polling bug where you could not change mode to Critique.

	* Set $GALLERY_BASEDIR in poll_properties.php.

	* Change function selectOptions() so $opts is now a name/value
	  array, where $key is the value returned, and $name is the
	  value displayed (and translated).

	* added photo_owner.php, poll_properties.php, poll_results.php and
	  reset_votes.php to index.php

	* Config.  Wizard changes to support slideshow configuration.  Does not
	  affect behaviour yet.

	* Config. Wizard new function "newIn" to print "new in 1.4.1" message.

2003-09-05  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b64

	* Again some corrections. Synced .mo against these

	* New Language: Czech (cs_CZ), Ukrainian (uk_UA)

	* Language updates: German (de_DE), Polish (pl_PL), Simplified Chinese (zh_CN)

	* Corrected po files

	* Synced language files against latest changes and additions

2003-09-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b63

	* Quick review of language, then added 3 new files to po/filelist

2003-09-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b62

	* You can now vote for subalbums.   Votes are now recorded
	  against "item.$id" or "album.$albumName".   Existing
	  albums are migrated to new vote id. (If you move subalbums,
	  you will lose your votes currenlty.)

	* Added http://www.php.net/manual/en/function.strftime.php
	  to translations, so translators could pick the best
	  language version.

	* In Config. Wizard replaced row_wrap() with error_row_wrap()
	  for errors, so they can get line breaks as necessary.

	* Added test check_poll_nv_pairs() to make sure valid values
	  are entered.

	* Changed CSS for errors in config to make it easier to
	  read. This can be changed, but black on red is hard to read, 
	  and these are very important messages.

	* Fixed bug so you can now cast votes on view_photo.php.

	* Changed "Gallery" to "gallery" when you are talking about
	  "your gallery" not the software.

	* Tweak of text relating to voting hopefully to make it
	  clearer.  Added introductory text in config wizard.

	* Added isset($GALLERY_BASEDIR) test to edit_thumbs.php.

	* Removed function pluralize() as function pluralize_n()
	  should be used.

	* Tidy up of (as yet) unused file, adv_search.php.

2003-09-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b61

	* This is Bharat Mediratta's change: 1.4-RC3-cvs-b11

	* Replace regular expression logic with standard string functions in
	  the config wizard to work around bugs in RedHat 7.2 / PHP 4.1.2 where
	  the regexp libraries tend to crash and burn.

2003-09-04  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b60

	* Further on my fix from 1.4.1-cvs-b55.  Turns out that I should have
	  changed the album data protocol back then and forced an upgrade, but
	  didn't.  I'm bumping the album data version to 16 now which will
	  trigger an upgrade and removing the raw_filesize value from the Image
	  class altogether.  Now we'll calculate that on the fly (which will
	  take care of any lingering data mistmatches between -b9 and -b10 as
	  well as resolve any instances where the value was never set in the
	  first place.

2003-09-05  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b59

	* Language update: Swedish (sv_SE)

2003-09-04  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b58

	* Language update: Polish (pl_PL)

	* New Language: Danish (da_DK)

2003-09-04  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b57

	* Fixed bug in voting where votes were not recorded if there is only
	  one choice.

2003-09-04  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b56

	* Synced all languages against latest changes

	* Language update: German (de_DE), Finnish (fi_FI)
	  Note: The German Update is also a Bugfix

	* Fixed incorrect language names (zh_TW), (fi_FI)

2003-09-03 Bharat Mediratta <bharat@menalto.com> 1.4.1-cvs-b55

	* Worked around a PHP serialization bug where serialize() stores 
	  decimal values with commas in de_DE, but unserialize() can't handle
	  that format.  To avoid this issue, we don't use decimal values. This
	  also turned up an issue in Album::save() where if we failed to save
	  photos.dat we'd continue onwards and try to save album.dat (including
	  the photos data there), when instead we should fail.
		- Removed file size rounding code from classes/Image.php
		- Adjusted move_photo.php to expect file sizes in bytes
		- Improved classes/Album.php's save() method

2003-09-03  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b54
	
	* Fix of bug introduced in -b53, where errors are generated in 
	  new Album code.

2003-09-03  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b53

	* This checkin is a fix to the partially broken -b49, by handling 
	  multi-dimensional arrays in defaults correctly.

	* Undo changes in b50.

	* Added nice functions array_stripslashes() and array_str_replace
	  that will clean up strings in any array.

	* Hidden text was written in both index.php and the include
	  files.  It is now only written in index.php

2003-09-03  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b52

	* Fixed Config. Wizard so you get stylesheets without config.php 
	  existing.

2003-09-02  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b51

	* Temporary fix while investigating why -b49 did not work with 
	  magic quotes

2003-09-02  Jens Tkotz <jens@peino.de> 1.4.1-cvs-b50

	* Synced all languages against latest changes

	* Language update: German (de_DE), Spanish (es_ES), Traditional Chinese (zh_TW)

	* dos2unix'ed po files and removed obsolete lines

	* "New" Language: Traditional Chinese (zh_TW.utf8)

	* Added $nls['flag'] to use same flag file for different languagenames

2003-09-02  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b49

	* Mostly cosmetic changes.

	* More space to edit summary in album properties.

	* No longer strip tags from custom fields.

	* Only display "<Empty>" for a field if we can modify it.

	* Album description defaults to "" rather than "No description".

	* If we try to create an album with a name that already
	  exists, add 00 to the album name, rather than reverting to
	  albumXX.  Eg if we try to create and album "party", and it
	  already exists, then "party01" will be created. Function
	  createNewAlbum() returns the new album's name.

	* No longer centering summary (easier to center it than uncenter it).


2003-09-02  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b48

	* Add voting
		- Requires upgrade to config.php and albums.
		- Added name-value pairs to Config. Wizard code.
		- Added graph drawing functions to display results.
		- Many other associated additions and changes.

	* Removed table from Step 4 of Config. Wizard, as the
	  displayed text should look like what is written to the
	  file.

	* Added make_separator() to Config. Wizard.

	* Modified error_missing in Config. Wizard, to get a useful
	  message, even if there is no description.

	* Fixed spelling mistake in Step 3 of Wizard.

	* Added more debugging messages for adding photos, to help
	  us identify failures and problems.

	* Fixed bug in search code (caused by missing default in
	  getHighlightTag()).  Bug introduced in 1.4.1-cvs-b23.

	* Separated $adminCommands int $adminCommands and $userCommands
	  in preparation for adding an admin menu.  Not implemented
	  as yet.

	* Added block_start and block end code to defaults.inc,
	  but it is not used as yet.

2003-09-01  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b47

	* Remove UPGRADING file, in favor of using the README to point
	  users to the new documentation.

2003-08-31  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b46

	* Fixed stylesheet loading so it works properly in Config. Wizard (Fix
	  by Jesse).

	* Rolled back -b42 change to view_album.php. We're not ready for
	  code cleanup yet.

2003-08-31  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b45

	* Fixed problems introduced in -b44. The following Gallery variables
	  now have new names:

	  $gallery->app->default['showOwners']
	                          --> $gallery->app->showOwners
	  $gallery->app->default['albumsPerPage']
	                          --> $gallery->app->albumsPerPage
	  $gallery->app->default['showSearchEngine']
	                          --> $gallery->app->showSearchEngine

	* Bumped the Config. Wizard version because of above change.
	
	* Further adjusted layout/ml_pulldown.inc so the language drop-down and
	  flag bar would render properly on albums.php.

2003-08-31 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b44

	* Fixed bug which cause progressbar not to close in IE
	  (Fixed by Vallimar).

	* Changed order in Config. Wizard (moved things from Step 3 to Step 2).

	* Added separators to Step 3 of the Config. Wizard.

	* Added $GALLERY_OK and tweaked getStyleSheetLink() to use config.css
	  when $GALLERY_OK == false.

	* error/* files now use new style too.

	* Tweaked ml_pulldown.inc (removed unnecessary table for flags).

	* Language Update: Italian (it_IT) , Simplified Chinese (zh_CN)

2003-08-30  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b43

	* Fixed HTML error in delete_photo.php (introduced in 1.3.5-cvs-b115).

2003-08-30  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b42

	* Began Vallimar's process of code cleanup to adhere to Gallery
	  and PEAR coding standards [1], not to mention *vastly* improving
	  legibility!
	  
	  Files modified: view_album.php

	  [1] http://pear.php.net/manual/en/standards.php

	* We now strip HTML tags from album titles, which were causing
	  incorrect URLs or even breaking page generation. We don't change
	  existing values, just to be safe. (Bug #540568)

2003-08-30 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b41

	* Fixed bug in check.inc (introduced in -b40) which says there are
	  warnings even if everything is fine.

2003-08-30 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b40

	* Changed / Added Colorscheme in Configwizard

	* Fixed missing echo, which cause an empty button in move_album.php.

2003-08-29 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b39

	* Undo more pretty printing in html_wrap, because IE still doesn't
	  like tabs.

2003-08-29  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b38

	* Replaced preg_grep() functions in favour of ereg() in
	  setup/functions.inc to support PHP pre-4.2.0.

	* Re-ordered include of util.php in setup. Previous change had broken
	  check_netpbm.php and check_imagemagick.php.

	* Fixed check_php4_1() to work with PHP versions 5 and newer.
	
2003-08-29 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b37

	* Fixed bug which caused Gallery to use locale aliases which are
          actually unavailable.

	* Language Updates: German (de_DE), Traditional Chinese (zh_TW)

2003-08-28 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b36

	* Fixed missing global $gallery in function getDatePosted() in
	  classes/Comment.php This fixes a bug which caused Gallery not to show
	  Datetime of Comment

2003-08-28 Jens Tkotz <jens@peino.de> 1.4.1-cvs-b35

	* Added upgrade_users.php to po/filelist

	* Language update: German (de_DE), Italian (it_IT), Turkish (tr_TR)

	* Added missing locales (zh_CN), added missing .po (fi_FI)

	* Synced all languages against latest changes.

	* Bumped Config Version

	* "Valid HTML" Image/Link only visible for admins

	* Added a lot of quotes

2003-08-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b34
            Jens Tkotz  <jens@peino.de>
	
	* Modified locale code so it behaves correctly on Mac and Windows 
	  systems.

	* Cosmetic change to upgrade_users.php.
	
2003-08-26  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b33

	* Fixed incorrect image URL in search.php.

	* User upgrade code no longer prints progress of individual users with
	  usernames, which was a small security risk.

	* Fixed several errors introduced in -b31 with changes in the button
	  value check code.
	
2003-08-26 Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b32

	* Corrected typo where the login button text would never be printed.

2003-08-26 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b31

	* Rewrote all checks against button values, which previously failed
	  when values contained special non-HTML entities.

	* Added a lot of quotes.

	* "Valid HTML" banner is now only displayed in standalone mode.
	  (Thanks Darius)

2003-08-26 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b30

	* Fixed missing ">' which caused Gallery to ignore aliases for absent
	  locales.

	* Fixed bug in check_locale() which returned available languages array
	  with wrong key.

	* Fixed bug which makes it impossible to delete or create a user in
	  some languages, because buttons contain non-HMTL entities.

	* Added flag for Simplified Chinese (zh_CN).

2003-08-26 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b29

	* Nearly a complete rewrite of locale tests in setup/functions.inc.
          This fixes 2 bugs:
          1.) When Gallery runs in this environment:
              Linux / PHP with gettext / NO system locales.
              In this case Gallery doesn't have ML capabilities, but in older
	      versions this wasn't fetched.
          2.) When Gallery runs in Windows there were unnecessary (confusing)
	      warnings.

	* Added new languages: Simplified Chinese (zh_CN), Finnish (fi_FI)

	* Synced all languages.

	* Language Updates: Italian (it_IT), German (de_DE)

	* Undo pretty printing in html_wrap, because IE doesn't like tabs.

	* Colors in Config. Wizard are now defined via CSS <style> block in
	  index.php.  Changed color theme. If we don't like it ... let's change
	  back.

2003-08-25 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b28

	* Startpage is now valid HTML.
	  To do this:  
	  - Added alt="...." to every image
	  - Replaced <td background= ...> with <td style="background-image:
	    ....> (css1)
	  - Replaced <nobr>...</nobr> with <span
	    style="white-space:nowrap;">... </span> (css2)

	* Added additional parameter alttext="..." to:
	  - getHighlightTag() in classes/Album.php
	  - getHighlightTag() in classes/AlbumItem.php
	  - getTag() in classes/Images.php		

	* Fixed Bug in resize_photo.php which caused resize to original (get
	  rid of resized) not to work.

2003-08-24 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b27

	* Added separator for sectioning in Config. Wizard (Step 2 only).
	  - separator structure in $constants in config_data.inc:
	 	"separator_<NR>" => array ("type"  => "separator",
        	                           "title" => _("<some text>"))

	* Rearranged Step 2 of Config. Wizard.

	* Synced all languages against changes.

2003-08-23 Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b26

	* Fixed bug where the clicks date would never get displayed because
	  $gallery wasn't globalized.

	* Fixed a missing quote in the thumbnail tag generation code.

2003-08-23  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b25

	* Allow users to explicitly set date/time strings in Configuration 
	  Wizard.  $gallery->config_version bumped.

2003-08-23 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b24

	* Tweaked resize.php.
	  Now you can enter a manual value for image size.

	* Tweaked function getTag() in classes/Image.php.
	  Quoted values from border, width and height.

	* Synced all languages against the resulting language addition.

2003-08-23 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b23

	* Added the flag pictures :|

2003-08-23 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b22

	* Fixed Bug which caused flags not to be shown.

2003-08-23 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b21

	* Added new option in Config-wizard "show_flags".
	  - Now its possible to show the smart pulldown menu or
	    a table with all flags.
	  - This also created addtional text in config_data.inc.
	    Synced all languages against these changes.
	    *** From now on language files from 1.4 and 1.4.1 differ. ***

	* Language Updates: German (de_DE), Slovenian (sl_SI)

2003-08-23 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b20

	* Edited view_photo.php.
	  We now don't show the full system path to the file.

2003-08-22 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b19

	* Language Update: Turkish (tr_TR)

2003-08-22 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b18

	* Fixed typo in html_wrap/wrapper.header.default.

2003-08-22 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b17

	* Language Update: Spanish (es_ES), German (de_DE)

2003-08-22  Beckett Madden-Woods  <beckett@beckettmw.com> 1.4.1-cvs-b16

	* Edited README

2003-08-22 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b15

	* Synced languages against changes.

	* Language Update: Italian (it_IT)

2003-08-21 Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b14

	* Quote attributes that HTML requires to be quoted (i.e. non-numeric
	  things like links and image sources).  Hopefully caught all of them!

2003-08-21 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b13

	* !!! UNDO Change of Value from $GALLERY_EMBEDDED_INSIDE !!!

	* Added new global $GALLERY_EMBEDDED_INSIDE_TYPE which contains the
	  nuketype (or whatever we are going to support in future) This was
	  done for avoiding problems customizations require value 'nuke'.

2003-08-21 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b12

	* !!! Changed Value from $GALLERY_EMBEDDED_INSIDE !!!
	  Now it's not only 'nuke' its 'postnuke' or 'phpnuke' We dont have to
	  do extra checks later.

	* Fixed bug in html_wrap/wrapper.header.default which made it not
	  possible to have Gallery as the start page in PostNuke.  To fix this
	  I added a test for Nuketype (see above).

	* Note: the change of $GALLERY_EMBEDDED_INSIDE may cause problems
	  with customized sites/blocks which do a test if
	  $GALLERY_EMBEDDED_INSIDE=='nuke'.

2003-08-21 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b11
	
	* Changed back to error_reporting(E_ALL & ~E_NOTICE). (Left in b10)

	* Set ML_mode to 2 if we got none from Config. Wizard.
	
2003-08-20 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b10

	* Language update: Italian (it_IT)

2003-08-20 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b9
	
	* Changed behaviour of initlanguage().
	  We now don't set $gallery->app->ML_mode if we have none,
	  because it would override the value from config_data.inc.

	* Changed text in slideshow to make it easier for translation. With
	  luck we can use the translation from slideshow_low so no translation
	  file additions will be necessary. Just a sync.

2003-08-20 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b8 

	* Language Update: French (fr_FR), Spanish (es_ES)

	* Fixed little bug in a script.

2003-08-19 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b7

	* Tweaked initLanguage:
	  - Removed en_US as default when no browser langauge is available.
	  - Cleaned code to fetch warning in this case.

	* Updated localization report generator.

	* REALLY fix what i tried to do in -b5 #2.

	* Removed debug code from ml_pulldown.inc.

	* Tweaked bash script (added -f paramter which means fast, no more
	  affirmation).

2003-08-18  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b6

	* Fix bug in URL upload code where, if you had images like 1.gif
	  and 11.gif, only the former would be detected.

2003-08-18 Jens Tkotz  <jens@peino.de> 1.4.1-cvs-b5

	* Fixed two bugs when Gallery was embedded
	  1.) Removed Andrew's code which caused Gallery not to use Nuke's
	      language.
	  2.) Tweaked nls.php to separate aliases for Post/PHPNuke. Added
	      detection for Post/PHPnuke to make combobox according to it.
	      Language in PostNuke now changes correctly.

	* Language Update: French (fr_FR), Norwegian (no_NO), Dutch (nl_NL) and
	  Italian (it_IT)

2003-08-18  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b4

	* Warning message reductions throughout.

	* Added html_wrap files to po/filelist, as they _could_ contain
	  language strings.

2003-08-17  Andrew Lindeman  <joyoflinux@yahoo.com> 1.4.1-cvs-b3

	* Fixed bug in Nuke integration where the language was never saved.
	  (Thanks Warren).

2003-08-17  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4.1-cvs-b2

	* Code freeze of 1.4. Merging 1.4-cvs-b133 into 1.4.1 branch.

2003-08-16 Jens Tkotz  <jens@peino.de> 1.4-cvs-b133

	* Make poweredby() function translatable.

	* Synced all languages against this change.

	* Language Update: Traditional Chinese (zh_TW)

2003-08-16  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4-cvs-b132 

	* Fixed bug so hopefully offline browsing is restricted to the
	  album with which you started.

2003-08-16 Jens Tkotz  <jens@peino.de> 1.4-cvs-b131

	* Added Slovenian (sl_SI).

	* Change $nls array naming:
	     'languages'   ->   'language'
	     'aliases'     ->   'alias'

2003-08-16  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4-cvs-b130 

	* Adding new sub albums now obeys the "add to beginning" flag.

	* Field last_quality (the quality % that was used resizing the last 
	  image) added to albums, to use as a best guess for resizing the
	  next image to a particular filesize.

	* Only use parse_url() in save_photos.php if it's not a file (pathnames
	  with "#" in them failed).

	* "Powered by" messages user poweredBy() for translation.

	* Resize functions now called if height/width OK, but there is a target
	  filesize.

	* resize_image() function modified to make it behave more correctly 
	  and to use the last_quality field.  Better heuristic still needs 
	  to be added. max_filesize and min_filesize variables added to 
	  aid heuristic.

	* Bugfix: $nls['alias'] replaced with $nls['aliases'].  Found 
	  accidently--not sure what the implications are.
	
2003-08-15  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4-cvs-b129

	* Slight correction to fix in -b127.

	* Get rid of warnings when creating a new user database.

	* Set version on newly created user database.

	* Avoid warnings from old config.php files.

	* Added extra processingMsg() to upgraded users for cosmetic reasons.

2003-08-14 Jens Tkotz  <jens@peino.de> 1.4-cvs-b128
	
	* Added Turkish (tr_TR).
	
	* Updated German (de_DE), Swedish (se_SE), Icelandic (is_IS) and Hebrew
	  (he_IL).

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4-cvs-b127

	* Vallimar's reported bug.  Config. Wizard now behaves correctly if
	  there are no addional languages available.

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4-cvs-b126

	* Language Update: French (fr_FR) (from Curio)

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.4-cvs-b125

	* Provide link to documentation (if present) from first setup page,
	  final setup page if there is a problem with files, and on albums.php
	  if logged in as admin.

2003-08-13  Bharat Mediratta  <bharat@menalto.com> 1.4-cvs-b124

	* Changed the release version number from 1.3.5 to 1.4.

2003-08-13  Bharat Mediratta  <bharat@menalto.com> 1.4.1-cvs-b1

	* This is the beginning of development on v1.4.1.

===============================================================================
    v1.4 release branch created (1.3.5 was renamed to 1.4 before release)
===============================================================================
	
2003-08-13 Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b123

	* Cleaned up all language files. No more obsolete entries, no "# "
  lines, etc.

	* Updated German (de_DE) and Hebrew (he_IL).

	* Replaced word "Gallery" with Gallery() in search.php.

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b122

	* Change informational strings in Config. Wizard to conform to
	  packaging decisions. I.e. no language packs and README is now
	  basically content free.

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b121

	* Give the appropriate error message for beta when checking the Gallery
	  version in the Config. Wizard if verion is "-bnn" or "-RCnn".

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b120
	
	* From Patch #772038: don't use "mailto:" link if there is no
	  email address for album owner.

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b119

	* Fixed bug introduced in -b117 that caused Gallery not to run in
	  embedded environments.

2003-08-13  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b118
	
	* Simplified messages delivered during Configuration Wizard/check 
	  Gallery version code.  

	* Changed $gallery->last_change from a string to a timestamp.

2003-08-12  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b117

	* Wipe out the README file.  Basically, the README file now just
	  "redirects" people to the docs/ directory, where the docs will
	  be distributed with Gallery.

2003-08-12  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b116

	* Improving the strings in Configuration Wizard/check Gallery version
	  code.  Probably needs more work before passing to the translators.

2003-08-12  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b115

	* Replace "$GALLERY_BASEDIR = ''" with "$GALLERY_BASEDIR = './'"; 
	  added explicit path to setup/.htaccess; changed some setup require 
	  statements to require("./filename") so we don't need "." in php 
	  include path.

	* Added $defaultLanguage as a user preference for loggedin users in
	  non-embedded environments.

	* This means that users and userdb now have a version number.

	* Upgrade code implemented for users.

	* A few more warnings removed.

	* $gallery->last_change added to Versions.php, so we can see how old 
	  the current version installed is, and flag during configuration if 
	  it might need updating.
	
	    [NOTE: there are other ways of doing this, most elegantly going to
	    gallery.sf.net and getting the latest version number.  This has its
	    appeal, but having gallery silently visit a the main gallery site
	    would be a bit like spyware.  Suggest we have a "check for latest
	    version" button or similar.]

	* Added spaces between the sentences at the beginning of
	  upgrade_album.php, so they are not all jammed together.

2003-08-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b114

	* This change is Vallimar's tidy up patch, with some modifcations.  
	  Details of changes are:

	* Tidy of if/else call in rename_album.php.

	* Reduce number of calls to getimagesize() by one.

	* Removed literal "getimagesize()" from translation string.

	* Resize restriction to file size now applies to PNG images as well.

	* Extra parameter to rotate image.

	* item_owner variables and add_to_beginning now set for newly created 
	  sub-albums.

	* Full image viewing now restricted to people who have permission to 
	  see them.

	* Note: we should store file type as returned by getimagesize() in
	  AlbumItem class.

2003-08-11 Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b113
	
	* Re-enabled Language Initialization when Gallery is embedded (was
	  disabled in -b107). This caused many problems like wrong language,
	  navigator probs etc.

	* Very small language file change. (removed a '.')

2003-08-10  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b112

	* Fixed problems with international characters.  While *Gallery*
	  supported international chars fine, some browsers didn't like that
	  they were not URL encoded.  So, all album and photo names are now URL
	  encoded.  This has been tested and verified to work on IE, Mozilla,
	  and Opera.
        
2003-08-10 Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b111

	* Changed text in config_data.inc which caused error in Config. Wizard
	  when PHP has no gettext support. Quotes (") and backslashes
	  (\) shouldn't be used in _() calls.  Instead, use &quot; and &#92;
	  respectively.

	* Changed "Next XX" and "Prev XX" buttons in captionator.php to use
	  sprintf() since not all languages have the numbers at the end.

	* Added po analyzer / report tool for .po files.
	  Call it via http://path_to/gallery/tools/g1-report.php.

	* Updated gallery.pot, German and French translations and synced all
	  languages.

	* Changed initLanguage() to emulate _() only if php has no gettext
	  support.

	* Tweaked diagnostics page, check_netpbm, check_imagemagick and
	  session_test:
	  1.) They now call initLanguage and are now translated.
	  2.) Added error messages in check_netpbm and check_imagemagick if
	      config.php is missing.

2003-08-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b110

	* Jens' one word fix so language setting now holds when you click
	  a link.  (Bug introduced in -b103)

2003-08-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b109

	* Fixed longstanding bug in resize_photo.php, where font tag was never
	  closed.

	* In ml_pulldown.inc, check if a language actually exists currently 
	  before adding it to the pulldown.

	* In util.php, reformatted initLanguage() and added new function
	  language_exists(), which tests to see if the appropriate translation
	  file for a language is present.

	* Added '".."' to setup/constants.inc to remove warning.

	* Removed warning from setup/write.inc.

	* Language check in Configuration Wizard now compares the number of
	  languages available with the actual number in this installation.

	* Parameter added to po_filename(), so it can test of existence of .po
	  files for other languages.

	* Renamed check_gallery_locale() to check_gallery_languages().

	* Greatly simplified gallery_languages(), by using language_exists() 
	  to check each of the languages listed in getNLS().

2003-08-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b108

	* Modified setup/confirm.inc and setup/write.inc so that the
	  Configuration Wizard produces more intelligible errors and warnings
	  if .htaccess and/or config.php are absent or unwritable.

2003-08-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b107

	* Updated all 1.3.5 refs to 1.4, except for the version number.

	* Added filesize restriction for resize, and bumped album version to
	  store this value for each album.  If this value is set, the compress
	  function will be called repeatedly to get as close as possible to
	  this size.
          
	* Changes to move_photo.php resizing.

	* Stop language initialization in embedded galleries.

	* Fixed bug that printed statement in move_photo.php.

	* Fixed bug in displaying number of hidden albums in view_album.php.
  (Thanks to Eelco Brolman)

	* Changed "Configurations Wizard" to "Configuration Wizard".

2003-08-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b106
	
	* Fixed bug in diagnositics so it will run without gettext.

2003-08-08  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b105

	* Cleaned up warnings and minor errors in the setup diagnostics.

2003-08-08  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b104

	* Fixed several small problems in the Config. Wizard and util.php that
	  would generate PHP warnings.

	* Added aliases for Portuguese (pt_PT) and Chinese (Traditional)
	  (zh_TW) as they appear in FreeBSD.

2003-08-08  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b103

	* Fixed bug which caused Gallery to not display Chinese in Nuke.

	* Tweaked initLanguage() for better co-operation with Nuke. Charset
	  header is no longer sent in Nuke.

	* Tweaked util.php.

2003-08-07  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b102

	* Fix the +profile "*" bug once and for all.  To do this, I specified
	  each profile type individually, as described on this page:
	  http://www.imagemagick.org/www/utilities.html#details-profile

2003-08-07  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b101

	* Added Traditional Chinese (zh_TW) translation.

	* Moved drop-down language select box from bottom to top (just for
	  albums.php).
	
	* Modified ml_pulldown.php to only show languages defined in nls.php.

	* Tweaked drop-down box code for better co-operation with Nuke.

2003-08-06  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b100

	* Fixed text alignment bug, which caused Gallery to render incorrectly.

	* Removed alignment() from util.php and now just use $gallery->align.

2003-08-05  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b99

	* Synced all languages.
	
	* Reverted from nb_NO to no_NO for Norsk (Bokmål).

	* Updated German (de_DE) translation.

2003-08-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b98
	
	* Added proper text alignment for Hebrew and other right-to-left
	  languages.  Was in original multilanguage branch.  Only used in
	  albums.php (so far).

2003-08-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b97
	
	* Code tweaked to reduce Config. Wizard warnings when
	  error_reporting(E_ALL) is used.

2003-08-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b96

	* Removed just introduced bug where locale alternative would not be
	  saved if there was only one alternative.

2003-08-04  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b95
	
	* Code tweaked to reduce Config. Wizard warnings when
	  error_reporting(E_ALL) is used.

2003-08-04  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b94
	
	* Code tweaked to reduce Config. Wizard warnings in setup when
	  error_reporting(E_ALL) is used.

2003-08-05  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b93

	* Updated Polish (pl_PL) translation.

2003-08-04  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b92

	* Revert back to -b88 (but with the changes made in -b90 by Joan) as
	  this is causing a bunch of PHP notices and may cause more trouble
	  than it's worth.

2003-08-04  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b91

	* Remove warnings I introduced in -b89.

2003-08-04  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b90

	* Code tweaked to reduce Config. Wizard warnings in setup when
	  error_reporting(E_ALL) is used.

2003-08-04  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b89

	* Removed unnecessary eval() calls from the Config. Wizard.

2003-08-04  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b88

	* Strip slashes from title, summary, extra fields if magic quotes are
	  on, as suggested by BorgKing.  This should improve behaviour when
	  magic quotes are on.

2003-08-01  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b87

	* Rework of Config. Wizard Step 2 to display the translation locales
	  closely grouped together.

2003-08-01  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b86
	
	* Updated French (fr_FR) tranlation from curio.

2003-08-02  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b85

	* Fixed bug in nls.php.

2003-08-02  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b84

	* Updated translations.
	
	* Added Portuguese (pt_PT) translation.

	* Removed fr_CA, added fr_FR for French translation.

2003-08-02  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b83

	* Added missing nb_NO files.

	* Fixed small translation bug when running in Nuke.

2003-08-01  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b82

	* Pulldowns were appearing in setup with only one choice.  These are
	  replaced with hidden input fields.

2003-08-01  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b81

        * Removed some old code.

2003-08-01  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b80

	* Fixed bug with Nuke integration where we could generate an incorrect
	  URL, so language changing didn't work. (Thanks Warren)

2003-08-01  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b79

	* Fixed error in index.php caused by weird typo.

2003-08-01  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b78

	* Moved language locale configs to the end of Step 2 and added
	  "(Advanced)" to each one.

2003-08-01  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b77

	* Default ML mode is now 3 (drop-down language select box).

	* Bug fix for languages for which there are no suitable locales.

2003-08-01  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b76

	* Removed nl_BE and no_NO from locale folder.

2003-07-31  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b75

	* Removed stray "?" in sort_album.php.

	* Made drawSelect() able to handle multiple selections (no behaviour
	  change to existing code).

	* Made printAlbumOptionList() able to produce a list of readable files
         (no behaviour change to existing code).

	* ML pull-down box no longer appears in offline mode.

2003-07-31  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b74

	* Changed no_NO (Norsk) to correct nb_NO (Norsk Bokmål).

2003-07-31  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b73

	* Fixed a bug in language detection introduced in -b72.

	* Tweaked navigation for right-to-left languages.

2003-07-31  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b72

	* Continued tidy up. There should be no more warnings or notices in the
	  Config. Wizard when error reporting is turned up.

	* Translation Bash script updates in po/ directory.
	
	* Bugfixes in German (de_DE) translation.

	* Browser language is now suggested as default language.

	* Cleaned up language detection.

2003-07-31  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b71

	* Removed $_GET & $_SERVER as they are not available before PHP 4.1.0.

2003-07-31  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b70

	* Begin great tidy up.  Step 1: No more notices during setup!

	* Fixed some spelling errors (i.e. bugs), revealed when error reporting
	  is turned up.
	
	* Tweaked function_exists('array_map') one more time.

	* Removed >= 4.0.6 function array_filter(), and wrapped _GET in
	  isset().

2003-07-30  Jens Tkotz  <jens@peino.de> 1.3.5-cvs-b59

	* Massive update of de_DE.

	* Some minor tweaks.

	* Updated po/README.

2003-07-30  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b68

	* Quoted argument to function_exists().

2003-07-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b67

	* Don't call array_map() if it doesn't exist.

2003-07-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b66

	* Should be able to change language in view_photo.php now.

2003-07-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b65

	* Make "Gallery" a literal string where it is the product name.

	* Re-jig of ml_pulldown.inc, so it doesn't rely on request_uri().

2003-07-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b64

	* Default Config. Wizard language is now set to the default browser
	  language at the start of configuration.

2003-07-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b63

	* Bug fix with ML code and magic quotes.

2003-07-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b62

	* Bug fix in Config. Wizard invocation.

2003-07-29  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b61

	* Added more translation strings.

2003-07-29  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b60

	* Big tidy up of strings for translation.  No functional changes
	  (hopefully!).

2003-07-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b59

	* Separated getNLS to its own file.

	* Couple of typo errors.

2003-07-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b58

	* Fixed ML Mode 3 slideshow bug.

	* Retain newlines in captions.
	
	* (From Jens' ML code) Added height and width to popups, but are not
	  using them yet.  This is because the same window is used for login
	  and add photos, and if you don't close the login window before
	  opening the add photos, then you will be stuck with a small window
	  for that complicated procedure.

	* Moved ML Mode 3 pull-down menu out of wrapper files.
		
2003-07-28  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b57

	* Removed stray character in slideshow footer (caught by h0bbel).
        
        * Expanded on the jpegtran description a bit, explaining that it only
	  works on JPEG images (suggested by Jens).

2003-07-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b56

	* Gallery is now multilanguage!!  Administrators and users will have
	  access to languages as provided in language packs.  Beyond this,
	  functionality is fundamentally unchanged from 1.3.5-cvs-b55.

***************** MULTI LANGUAGE VERSION BRANCH *****************************

2003-07-27  Christian Mohn  <ch-moh@online.no> 1.3.5-cvs-b53_ML10-b15
        
	* Added new putenv() statement to util.php to accomodate Mandrake
	  users.
          
2003-07-27  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b53_ML10-b14

	* Fixed XSS security hole in the search code, caused by a typo in
	  search.php.

2003-07-27  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b53_ML10-b13

	* Added FreeBSD locale names (which contain the code page) to getNLS()
	  so that we can detect them properly, even when open_basedir is
	  enabled.

2003-07-26  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b53_ML10-b12

	* Tweaked the Config. Wizard to be more informative if open_basedir is
	  preventing locale detection.

2003-07-25  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10-b11

	* Moved language pull-down to lower right corner.

2003-07-25  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b53_ML10-b10

	* Fixed bug in ML Mode 2, where Gallery couldn't guess your language.

2003-07-25  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10-b9

	* Language now remembered from one page to the next.

2003-07-25  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10-b8

	* REALLY fixed bug where the Config. Wizard couldn't handle locales
	  with '.'

2003-07-25  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10-b7

	* Fixed bug where the Config. Wizard couldn't handle locales with '.'

2003-07-24  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10-b6
	
	* Swapped the order of photo printers.
	
	* Cleaned up phrasing.
	
	* All languages are now chosen as default.

2003-07-24  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10-b5

	* First possible release candidate.  Needs much more testing, and
	  refinement of translation strings.

2003-07-18  Joan McGalliard  <gallery@joanhenge.plus.com> ????

	* Fixed bug where window wouldn't close in IE.

2003-07-10  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b53_ML10

	* First checkin of Jens' ML code.  Straight from his released sources.

***************** END MULTI LANGUAGE VERSION BRANCH *************************

2003-07-27  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b55

	* Fixed XSS security hole in the search code, caused by a typo in
	  search.php.

2003-07-19  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b54

	* Removed debugging statements in gallery_remote2.php.
	
	* Added check to avoid warnings when PHP is configured to print
	  warnings.

2003-07-08  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b53

        * Made the extension lowercase to catch file extensions like .JPG or
	  .JPEG (Thanks again Vallimar).

2003-07-08  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b52

        * Check to see if the image is a JPEG before attempting to use jpegtran
	  on it.  (Thanks for the catch, Vallimar).

2003-07-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b51

	* Slight rework of -b50.

2003-07-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b50

	* Fixed bug.  Correct image size with resized images in custom fields.

2003-07-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b49

	* Now using "round" instead of "ceil" for image size.

2003-07-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b48

	* Added "Image Size" as a custom field.  Tidied up formatting and
	  translation.

2003-07-08  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b47

	* Added the option to put new items at the beginning of an album.

	* Little tweak to upgrade, so if you go back and forth between
	  item_owner and pre-item_owner versions, you keep item_owner details
	  intact.

	* Added "new in 1.3.5" notice to jpegtran stuff.

2003-07-07  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b46

	* Implemented a slightly modified patch by Jonathan Larmour, to include
	  jpegtran support.

2003-07-07  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b45

	* Changed the text printed when an installation has warnings.  This is
	  based on some experiences from the forum, where users have been
	  scared to go on when their installation just has a minor warning.

2003-07-05  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b44

	* Bug fix.  Number of custom fields as defined in extra_fields.php is
	  incorrect when there is no "Title" field.

2003-07-04  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b43

	* Added a function definition of array_search() for compatibility with
	  PHP 4.0.4.

2003-07-02  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b42

	* Wrapped realpath around __FILE__.  Hopefully this fixes a bug where
	  __FILE__ is set to file name and not path in included files for some
	  versions of PHP.

2003-06-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b41

	* Bug fix: if you are album and item owner, edit text etc. will only
	  appear in pull down menu once, and edit thumbnail and rotate options
	  do not appear for movies.

2003-06-30  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b40

	* Added new custom field EXIF data. This displays EXIF data under the
	  photo, but only if data is available, and can be displayed in that
	  album.  The "photo properties" link is removed if the data is
	  displayed under photo.

	* Made an "automatic fields" array which is capture date, upload date
	  and EXIF data.  These are custom fields that are populated from EXIF
	  data etc.  Should make translations a little easier, too.

2003-06-29  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b39

	* Augmented AlbumItem upgrade so that it scans for the "nobody" owner
	  as well as for a missing owner altogether.

2003-06-29  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b38

	* Bumped album version to 12, to change item owner names from "nobody"
	  to album owner.  This is for people who upgraded between b32 and b36.

2003-06-29  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b37

	* During upgrade, item owner for all items will default to album owner,
	  instead of "nobody".

	* Bug fix in the owner code.  If owner is unknown, it now will not be
	  printed as NOBODY.

2003-06-28  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b36

	* Fixed bugs in edit_appearance and photo_owner where we were using the
	  php short open tags.

	* Fix a bug in AlbumItem where it crashes if the item owner is not set.

2003-06-26  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.5-cvs-b35

	* Fixed HTML error in layout/breadcrumb.inc. (Bug #760294)

	* Fixed CVS "Id" variables that were displaying in HTML. Some of these
	  were generating PHP premature header errors.

2003-06-26  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b34

	* Fixed erroneous error message when authentication fails in
	  gallery_remote2.

2003-06-26  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b33

	* Added missing </td> to edit_appearence.php.

2003-06-26  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b32

	* Added item owner.  Now each individual album item has an owner.
	  Whether the owner can modify or delete her own images and whether the
	  name of the owner is displayed is configurable at album level.

2003-06-26  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b31

	* added CVS "Id" variable to every file except:
		./configure.bat   ./secure.bat ./setup/.htaccess
		./setup/mod_rewrite.template ./setup/php_value.template

2003-06-26  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b30

	* Fixed small HTML errors in view_photo.php.  (Bug #760481)

2003-06-26  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b29

	* Gallery Remote protocol version 2.3: fetch-albums returns the list of
	  available extrafields for the album; add-item looks to HTTP vars
	  extrafield_<fieldname> for extra fields and sets them on picture.

2003-06-25  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b28

	* Changed reload() to just call the JavaScript directly, rather adding
	  a redundant <body> tag.

	* Jens' suggestion to keep the rotate window open, so you can see the
	  result of your handiwork.  I think it's pretty cool, actually, but we
	  can always roll it back if people don't like it.

2003-06-25  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b27

	* Improved fetching list of albums from server anywhere from 50% to
	  95%.

2003-06-23  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b26

	* Jens' fix to rotate photo, which didn't do 180 rotation if
	  ImageMagick is used.

2003-06-23  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b25

	* More changes to ease ML version (explicit strings for dates).

2003-06-23  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b24

	* Make "Title" explicit to simplify ML version.

2003-06-23  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b23

	* Bug in the delete/id2 code.  When delete is called from the pulldown
	  menu in view_album.php, id2 is defaulting to an empty string, so we
	  now test for that explicitly.

2003-06-19  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.5-cvs-b22

	* Fixed error in Config. Wizard where Step 1 would incorrectly report
	  Jhead as not found if Jhead was not in the same directory as the
	  NetPBM binaries. (Bug #756925)

	* Applied several patches from Vallimar (Patch #754649, 1-4):

	  - Removed page navigator if there's only one page.

	  - Removed check for ImageMagick's 'composite' binary, since Gallery
	    doesn't actually use it anywhere.

	  - Restructured the format of the album/image count at the top of each
	    page to be clearer and more accurate.

	  - Changed delete_photo.php so that after deleting a photo from the
	    photo view, the user is returned to the next photo in line
	    (or the previous photo if at the end of the album), rather than
	    being returned to the thumbnail view.

	  - Added a [rename] button inside each album for added convenience.

	  - A couple of tiny UI cleanups.

	* Added "Flip Horizontal/Vertical" to the rotation options in
	  rotate_photo.php. (Patch #750769 from Ari Gordon-Schlosberg)

2003-06-15  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b21

	* In session.php, attempt to force cookie support on if the server has
	  turned it off.

	* Added new <IfModule> lines to setup/.htaccess to cover the new sapi
	  approach to installing PHP on Win32.

	* Improve safe_serialize() to actually pay attention to the number of
	  bytes written and abort if we wrote the wrong count.  This will
	  prevent data corruption when you run out of disk space.

2003-06-12  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b20

	* Yet another change to fix the Win32 unserialization problem.  The
	  issue is that on windows if we write files in binary mode that
	  contain carriage returns, then we can't read them back in text mode.
	  This new fix allows us to try reading in binary mode (fopen with
	  "rb") and if that fails we try text mode (fopen with "rt").  This
	  will cover legacy cases as a fallback but will migrate all data files
	  forward as it touches them.

2003-06-13  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b19

	* Added more debug output to gallery_remote2.php, reorganized the code
	  a bit.

2003-06-11  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b18

	* Fixed an offline browsing bug, where under certain circumstance you
	  could get into an infinite loop.  Only occurred with offline browsing
	  starting in a non-root album.

2003-06-11  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b17

	* Fixed a case where we were using the two argument form of trim() that
	  isn't available until PHP 4.1.0.

	* Changed util.php's getFile() to expect text files to preserve
	  compatibility with the pre PHP 4.3.2 syntax for fopen().

2003-06-10  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b16

	* Added gallery_remote2.php to the $safe_to_include array in index.php
	  so it can be invoked from CMS.

2003-06-06  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b15

	* Similar bug as previous.  If you did not have ImageMagick or NetPBM
	  installed, but had a path in configuration for them, then you got an
	  error even if you weren't using that graphics package.  Change
	  requires setting $graphtool before the paths for each package, and
	  passing $graphtool to the verification functions.

2003-06-06  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b14

	* Bug fix so we don't get a NetPBM file not found error if we are using
	  ImageMagick.

2003-06-06  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b13

	* Adjusted the way that we gather and store the extra field info in
	  config.php.  Now we store it as a comma delimited value instead of a
	  set of quoted values.  If magic quotes is on, we strip off slashes
	  and replace quotes with an html entity.  Fully backwards compatible
	  with the format introduced in 1.3.4-b30, though you must re-run the
	  Config. Wizard.

2003-06-06  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.5-cvs-b12

	* Applied a variation on Joan McGalliard's fix for custom fields, which
	  were broken if magic_quotes_gpc was enabled.

	* Fixed issue where PostNuke-embedded Gallery administrators required
	  admin rights over all of PostNuke. Now, admin permissions can be
	  restricted just to the Gallery module. (Bug #590999)

2003-06-05  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b11

	* Try to detect where each program is located in backup_albums.php.

2003-06-04  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b10

	* Reworked user authentication in gallery_remote2.php to allow using
	  users from embedding CMS. Only tested with PostNuke at the moment.

2003-06-03  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b9

	* Remove preg_* functions from search.php, in order to support older
	  versions of PHP.

2003-06-03  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.5-cvs-b8

	* Fixed problem in gallery_remote*.php which caused GR to no longer be
	  able to connect.

2003-05-29  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.5-cvs-b7

        * Checked in by Joan, but changes are actually by Jesse Mullan.

        * Fixed bug in backup_albums.php, so if zip file is found, no others
	  are checked for.

        * Default zip exe changed, and readfile replaces cat so that backup
	  will work on a Windows machine with zip installed.

        * Note: Paths for zip, find, tar etc. should be in the Config. Wizard
	  by version 1.3.5.

2003-06-02  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b6

	* Added the \n and \r replacing code in slideshow_low.php too.

2003-06-02  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b5

	* Replaced \n and \r with spaces in the slideshow captions, as these do
	  cause issues with JavaScript.

2003-06-02  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b4

	* Fixed bug #672943, where searching for a string with special regular
	  expression characters would cause warnings.  Also, users can now use
	  asterisks as wildcards in search strings.

	* Fixed bug #607440.  Gallery now allows .mp4 movies.

	* Fixed bug #581790.  Gallery doesn't strip HTML tags from slideshow
	  captions anymore.

2003-06-02  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.5-cvs-b3

	* Fixed a bug in the Configuration Wizard that would cause errors in
	  the custom fields configuration if magic_quotes_gpc was on.

2003-05-31  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b2

	* Fixed a bug in gallery/UserDB.php where we were introducing a syntax
	  error into .users/.htaccess.

2003-05-31  Bharat Mediratta  <bharat@menalto.com> 1.3.5-cvs-b1

	* Migrated 1.3.4-cvs-b51 to 1.3.4-cvs-b55 into 1.3.5-cvs-b1.

2003-05-31  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.4-cvs-b55 (HEAD)

	* Changed the extension from .tar to .tar.gz when backing up albums.

	* If gallery_remote.php or gallery_remote2.php is accessed from the
	  browser, exit with a nice message telling the user where to find
	  Gallery Remote. (Bug #687235)

	* Fixed bug #552569, where a filename could be quoted twice, causing
	  the upload to fail.

	* Hopefully fixed bug #595716, where NetPBM or ImageMagick wouldn't
	  execute properly if they were in a directory with a space on Windows.

2003-05-30  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.4-cvs-b54 (HEAD)

	* Quoted the filename given to the jhead parser.  This resolves a bug
	  related to spaces in files names.

        * Fixed bug #550527, where double quotes in an album name would cause
	  HTML weirdness and end up being truncated

2003-05-30  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.4-cvs-b53 (HEAD)

	* Removed unnecessary function call.

2003-05-30  Andrew Lindeman  <joyoflinux@yahoo.com> 1.3.4-cvs-b52 (HEAD)

	* Made the select box in the config wizard default to whichever image
	  manipulation program it found (until now, it always defaulted to
	  NetPBM).

2003-05-30  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b51 (HEAD)

	* Patch #745960. Fixed $GALLERY_BASEDIR warning for publish_xp.php
	  (missed this one the first time around in -b25 fix).

2003-05-29  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-RC1

	* v1.3.4 Release Candidate 1

2003-05-29  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b50

	* Tweaked backup_albums.php so that it works with open_basedir enabled.

2003-05-29  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b49

	* Moved backup_albums.php to setup, and removed it from albums.php

2003-05-29  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b48

	* UI fixes:
	  - Don't show [add photo] unless custom fields are activated, since
	    it isn't terribly useful without them and it clutters the admin
	    menu

	  - Roll the [edit summary] feature into the [properties] link for
	    admin menu brevity.

2003-05-28  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b47

	* Another fix to the AlbumItem versioning code.  Make sure that new
	  album items get the right album data version number, and that they
	  start off with a blank set of extra fields.  Bumped the album version
	  number one more time to make sure that everybody's data is clean.

2003-05-28  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b46

	* Tweaked the PhotoAccess affiliate ID

2003-05-28  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b45

	* Updated view_photo.php to use the appropriate affiliate ID
	  for PhotoAccess

2003-05-28  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b44

	* Undid -b43 and fixed the warning correctly. Bumped album version
	  forces an update to properly initialise extra fields.

2003-05-28  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b43

	* Fixed a bug in Album.php that generated a warning when moving a
	  photo from one album to another. Thanks to Jens Tkotz for
	  finding the error.

2003-05-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b42

	* cosmetic changes to backup_albums.php, mostly suggest by beckett

2003-05-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b41

	* Bugfix and a few cosmetic changes to backup_albums.php

2003-05-28  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b40

	* Added backup_albums.php.  Linked from albums.php, but that
	  perhaps should be removed.

2003-05-25  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.4-cvs-b39

	* Fixed a security problem in gallery_remote2.php, where users
	  could create new nested albums inside albums where they didn't
	  have that permission.

	* Fixed some error reporting in gallery_remote2.php.

2003-05-24  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b38

	* Refactored add_photo.php to use util.php's processNewImage()
	  so that, among other things, it gets autorotation for free.

	* Fixed bug where add_photo.php's variable names conflict with
	  PostNuke's

2003-05-24  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b37

	* Changed "Extra Fields" to "Custom Fields" (GUI only)

	* Removed function msg, and used processingMsg from util.php

	* Removed diagnostic from  printAlbumOptionList

2003-05-23  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b36

	* Updated copyrights/$GALLERY_BASEDIR fix for extra fields code.

	* Added "jpeg" to acceptable image tag list (alongside "jpg").

	* Fixed error in ImageMagick "convert" call where some shells
	  would expand the '*' from the '+profile' flag, breaking image
	  uploads. (Bug #703641)

2003-05-22  John Kirkland  <jpk@bl.org> 1.3.4-cvs-b35

	* Rewrote printAlbumOptionList and printNestedVals in util.php
	  to conform to the requirements that I added as code comments
	  above the 2 functions.  This fixes defects #488281 & #669764.

	* Bug fix in view_album.php with showAdminForm when a non-admin
	  owns a nested album and not the parent album.

2003-05-21  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b34

	* Fixed an incorrect short PHP tag in view_album.php

	* Fixed a minor bug in add_photo.php where the fields were getting
	  seeded with invalid data.

2003-05-20  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b33

	* Added 2 new file names to index.php.

	* Added album summary search

2003-05-20  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b32

	* Removed diagnostic statements left by bug fix.

2003-05-20  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b31

	* BUGFIX.  Upgrading of albums did not add extra field defaults

2003-05-20  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b30

	* "Extra fields" added.

	* Configurable from Captionator and edit caption
	  (now called "Edit text" in the pull down menu)

	* Are searchable.

	* new upload popup add_photo.php adds only one photo,
	  but lets you enter extra field data.

	* extra_fields.php, to configure extra fields for an album

	* <TITLE> of photo page can be defined via extra
	  fields, and the fields are displayed under the
	  photo and above the caption.

	* list of default extra fields added to config.php

	* changed setup: you can now have optional album
	  defaults, added a verify function to albums defaults,

	* printAlbumOptionList changed so that move_photo.php will
	  only let you move to an upgraded albums, and warns you about
	  others.

	* Removed a warning from init.php, session.php

	* Added version and constructor to AlbumItem.

2003-05-20  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b29

	* Wrapped "up" and "top" in if-clauses to test for offline
	  mode.  This enables you to download an album and it's
	  subalbums and not the whole gallery when using wget etc.

	* Added new field to Album class: summary.  Displays on
	  page one of your album, and is editable through a popup.

2003-05-20  Joan McGalliard  <gallery@joanhenge.plus.com> 1.3.4-cvs-b28

	* Added commenter's name to search by prepending it to
	  comment before searching it.  Comment will now display
	  "Name: Comment text"

2003-05-14  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b27

	* Fixed another error created in -b25 in view_photo.php that broke
	  viewing of full-sized images.

2003-05-14  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b26

	* Fixed parse error in util.php created in -b25.

2003-05-14  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b25

	* Added dynamic <link> tags to support prefetching and site
	  navigation bars in browsers that support it. (Revision of Patch
	  #701039).

	* Fixed a while loop error in layout/navphoto.inc.

	* Edited getExif() to skip blank lines from Jhead output, which
	  generated a strange artifact in view_photo_properties.php.

	* Removed "Undefined $GALLERY_BASEDIR" warnings (Bug #694453).

	* Removed a handful of minor PHP notices (mostly adding quotes
	  around associative array indices which were missing them).

2003-05-10  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b24

	* Changed HTML <form> tag to be more compliant (Bug #731679).

	* Added Joan McGalliard's patch (#704888) to clean up and complete
	  offline browsing capability. Adjust your URL to turn the
	  offline mode on or off:
	       http://www.site.com/gallery/index.php?set_offline=true
	       http://www.site.com/gallery/index.php?set_offline=false

	* Updated copyright to 2000-2003.

2003-04-25  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b23

	* Display the capture date in the captionator

	* Added a new feature to the html_wrap and css code.  We now look first
	  in a directory under html_wrap with the same name as your domain name
	  for customizations.  For example, if your gallery is at
	  http://your.server.com/gallery we'd look for the gallery header in
	  this order:
		html_wrap/your.server.com/gallery.header
		html_wrap/gallery.header
		html_wrap/gallery.header.default
	  the same technique applies for the css directory.

2003-04-24  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b22

	* Fixed a typo error introduced in b19 in move_photo.php.

2003-04-21  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b21

	* Integrated a patch from Brett Nemeroff and Kurt Bosselman to
	  support printing on PhotoAccess, an online photo printing
	  service which will also print photos to gifts (mugs, mousepads,
	  t-shirts, ...).

	* Fixed bug #718741. Shutterfly code now sends either the caption
	  or the photo URL as the message to be printed on the back of the
	  photo.

	* Fixed bug #659299. The search page no longer skips some items in
	  albums containing hidden photos.

2003-04-20  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b20

	* Gallery now handles the small database structure change
	  introduced in version 6.5 of PHP-Nuke.

2003-04-18  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b19

	* Patch #530195: Strenghtened image type checking expressions in
	  view_photo.php and util.php.

	* Patch #695792: Small bugfix from Andrew (joyoflinux). Hidden
	  photos moved via move_photo.php no longer become un-hidden.

	* Patch #710428: Added Joan McGalliard's fix for a bug in
	  slideshow.php and slideshow_low.php introduced in 1.3.4-cvs-b6,
	  which teminated the slideshow early if there were hidden photos
	  in the album. Also bug #689422.

	* Patch #712159: Added Joan McGalliard's patch to replace the "?&"
	  in the navigator block URLs with just "?" or "&" as appropriate.

2003-04-18  Beckett Madden-Woods  <beckett@beckettmw.com> 1.3.4-cvs-b18

	* Added Steve Lacy's auto-rotate patch which lets Gallery
	  automatically attempt to rotate JPEG images on upload, based on
	  the orientation information that some digital cameras store in
	  EXIF data.

2003-04-05  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b17

	* Fixed minor bug in config wizard that runs the "shutterfly without
	  donation" and "fotokasten" print options together on one line.

2003-03-30  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b16

	* Fixed a bug in the mirroring code on win32 where the serial.dat file
	  would wind up with a \r instead of a \n causing the comparison to
	  fail.  Now we get rid of the \n altogether.

2003-02-24  John Kirkland  <jpk@bl.org> 1.3.4-cvs-b15

	* Merged GRcreateNewAlbum in gallery_remote2.php with createNewAlbum
	  in util.php per Pierre's request.

2003-02-24  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.4-cvs-b14

	* gallery_remote2.php: check to prevent new album creation to overwrite
	  an existing album.

2003-02-24  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.4-cvs-b13

	* Fixed method name collision between gallery_remote2.php and util.php
	  which caused GalleryRemote to be unable to log in.

2003-02-23  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b12

	* Fix boneheaded mistake in getAlbumbyName(): inverted logic
	  on strcasecmp

	* Added <IfModule> calls around php_value flags in setup/.htaccess.
	  This will make Gallery work better on systems that have PHP as CGI
	  only.

	* Added Troy Edwards (vallimar) to the AUTHORS file.

	* Added a fix to handle porting from pre-v1.2 Galleries when the
	  Gallery_User class was simply called User.

2003-01-29  John Kirkland  <jpk@bl.org> 1.3.4-cvs-b11

	* Moved process() from save_photos.php to util.php - processNewImage()
	  so it could be used by the xp publishing wizard.

	* Moved msg() from save_photos.php to util.php - processingMsg() so it
	  could be used by the xp publishing wizard.

	* Created a createNewAlbum($parentName) function in util.php from
	  code extracted from do_command.php.

	* Modified xp publishing wizard to use new functions in util.php,
	  removing duplicated code.

	* Modified UI and logic flow for xp publishing wizard with regard
	  to creation of new albums.

2003-01-28  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b10

	* Improved the global extraction code in init.php not to throw warnings
	  if the various global vars aren't arrays.

	* Augmented AlbumDB so that it checks for albums in folders with
	  different capitalization (which will aide with migration between
	  Windows and Unix)

	* Changed filename and caption sorting to use natural case order for
	  more intuitive sorting.

	* Fixed XSS issue with commenting where it's possible to sneak
	  malicious data into a comment submission.

2003-01-38  John Kirkland  <jpk@bl.org> 1.3.4-cvs-b9

	* Added album creation ability into xp publishing wizard.

2003-01-19  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b8

	* Removed a line of debug code that started album numbering at album98!

2003-01-18  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b7

	* Changed the Fotokasten affiliate id to the Gallery account (the price
	  is unchanged, but now we get a cut.  Woo!)  Big thanks to Ralph Hesse
	  and the Fotokasten team for making this integration possible.

2003-01-12  Dr. Tilmann Bubeck  <t.bubeck@reinform.de> 1.3.4-cvs-b6

	* Added function checkIfOnlineOrOffline in util.php to check if
	  this album is used interactively by a browser or by Wget for
	  downloading a complete album.

	* Called checkIfOnlineOrOffline in init.php

	* Added function build_popup_url in util.php for building a URL
	  used by the various popup functions.

	* Added function popup_link to generate HTML code for links
  	  usefull with Wget.

	* Tightened function editField in util.php to show up only in
	  online mode (not for downloaded album of Wget).

	* Tightened '[search]' and '[login]' in albums.php to show only in
	  online mode (not for downloaded album of Wget).

	* Changed '[photo properties]' in view_photo.php to use
	  popup_link.

	* Tightened '[login]' in view_album.php to show only in
	  online mode (not for downloaded album of Wget).

	* Added function printSlideshowPhotos in slideshow.php and
	  slideshow_low.php which prints the URLs of the slideshow images
	  or their captions.

	* Changed JavaScript code in slideshow.php and slideshow_low.php. The
	  URL of images is now stored in hidden hrefs and accessed with
	  'document.getElementById(photo_url_X)' instead of using JavaScript
	  variables containing the URL.  Moving the URL from JavaScript into
	  HTML allows Wget to transform the URLs.

2003-01-15  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b5

	* Integrated a patch from Ralphe Hesse to support printing on
	  Fotokasten (a German print service).

	* Fixed a long standing issue where after album99 we start creating
	  albums like "albun00".  Now we go from album99 -> album100

2003-01-09  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b4

	* Fixed getStyleSheet() in util.php to actually use GALLERY_BASEDIR
	  correctly, which fixes a long standing bug that prevented *Nuke from
	  properly customizing embedded_style.css.  Thanks, Vallimar!

2003-01-07  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b3

	* Tightened up the leading HTML in the html_wrap files so that we don't
	  generate any white space before including the wrapper.header.  Then,
	  moved the includeHtmlWrap lines up for gallery, album, photo and
	  slideshow.header.  This has the result of putting the resulting
	  javascript inside the <body> tag which means that we don't generate
	  any output until PostNuke gets a chance to call its various header
	  functions.

2003-01-07  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b2

	* Finally made NetPBM's ppmtojpeg/pnmtojpeg an explicit configuration
	  option, instead of trying to autodetect it.  We default to pnmtojpeg,
	  which is forward looking.

2003-01-04  Bharat Mediratta  <bharat@menalto.com> 1.3.4-cvs-b1

	* Added the server IP address to the setup/session_test diagnostic to
	  help us find problems with load balanced configurations.

	* Patched ImageMagick's resize code to use single quotes around the *
	  in "+profile '*'" to avoid letting the shell expand the *.

	* Added patch from Kevin Amorin to allow Windows XP publishing to use
	  file names as captions.

	* Enabled hi-tech slideshow for Opera5 also.

	* Fixed the new-album-causes-strange-reordering bug (see 1.3.3-cvs-b1)
	  for Gallery Remote, also.

================================================================================
2002-12-27                      v1.3.3 release
================================================================================

2002-12-27  Bharat Mediratta  <bharat@menalto.com> 1.3.3-cvs-b6

	* Fixed a bug in publish_xp_docs.php that allows a remote exploit by
	  not checking GALLERY_BASEDIR appropriately
	  (introduced in v1.3.2-cvs-b27)

	* Renamed error() function to gallery_error() to avoid conflicts
	  in PostNuke code.

2002-12-14  Bharat Mediratta  <bharat@menalto.com> 1.3.3-cvs-b5

	* Added a configuration option to allow you to choose to print your
	  photos on shutterfly without making a donation to the project.

	* Fixed a minor bug in the support for Nuke6's separate user table
	  prefix code.

2002-12-06  Bharat Mediratta  <bharat@menalto.com> 1.3.3-cvs-b4

	* Minor improvement in setup/functions.inc:inOpenBaseDir

	* Added support for Nuke6's ability to have a separate prefix
	  for the user table.

2002-11-29  Bharat Mediratta  <bharat@menalto.com> 1.3.3-cvs-b2

	* Fixed a bug in the slideshow code where it would crash if the last
	  element in the album was a sub-album that the user did not have
	  permissions to view.

2002-11-28  Bharat Mediratta  <bharat@menalto.com> 1.3.3-cvs-b1

	* Fixed a bug where when you add a new album at the top level, it moves
	  the wrong album to the beginning of the list (instead of the newly
	  created one)

	* Fixed a bug where if you hide all the elements of an album, they get
	  detached from the album.

	* Added a link to the permissions dialog in the admin dropdown box for
	  nested albums

================================================================================
2002-11-27                      v1.3.2 release
================================================================================

2002-11-22  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b32

	* Added Beckett's fix to clean up temp files left around when uploading
	  via a URL or ZIP file.

2002-11-17  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b30

	* Fixed bug introduced in b21 causing [reset counter] link on
	  albums.php page to fail.

	* Fixed bug in the new "add caption with photo" code which generated an
	  error when you add a photo by URL or local-file.

2002-11-15  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b29

	* Fixed bug #638939: Publish XP gives wrong URL (Guido Claessen)
	  We were hand rolling the URL that appears at the end of the wizard,
	  which would lead to it not working when rewriting is disabled.

	* Tightened up the description of the publisher

	* Fixed a bug where the search function lowercases the result values
	  that it displays in context.  Thanks to Beckett Madden-Woods for the
	  patch.

2002-11-13  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b28

	* Rolled in Joan McGalliard's patch to allow users to add captions
	  when uploading photos.  Thanks, Joan!

2002-11-12  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b27

	* Tested the XP Publishing code, made a few tweaks to make it a bit
	  more presentable.  Included end-user documentation for how to use it.

	  The XP publishing code is only available when Gallery is running
	  in standalone mode, because of the complexity of generating the
	  right URLs for the browser when embedded.

2002-11-11  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.2-cvs-b26

	* Fixed escaping of line breaks in GalleryRemoteProperties.php

2002-11-10  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b25

	* Grant canViewFullImages to EVERYBODY by default in new Albums

	* Added publish_xp, a tool for publishing to Gallery directly from your
	  Windows XP desktop, thanks to Demian Johnston!

2002-11-09  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b24

	* Fixed bug #587441: wrong # of photos resized w/ hidden pics
	  Turns out that if you can resize all photos then you can also see all
	  the hidden ones.  So, resize all now applies to all photos.

2002-11-08  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b23

	* Fixed a bug in the slideshow where it was not obeying the "can view
	  full size images" permission properly (thanks to Akki)

2002-11-07  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b22

	* Changed shutterfly PSID to "GALL"

	* Suppressed some more open_basedir warnings in the config wizard.

	* Fixed bug #524944: Config Wizard allows too many rows.  Changed the default
	  rows/columns to use pulldowns instead of a text box.

	* Fixed bug #551569: edit_appearance fails under Nuke with certain
	  browsers.  We had a duplicate form tag, and the second one was bogus.

2002-11-05  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b21

	* Further fixed bugs in view_album.php where admin links were not
	  specifying the album name correctly, which would fail if the album
	  information were not getting stored in the session properly.

2002-11-04  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.3.2-cvs-b20

        * Bumped gallery_remote2 protocol version to 2.1.

2002-11-04  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b19

	* Fixed two small bugs in the setup code where we were using
	  is_executable instead of fs_is_executable (thanks Kwan Skinner)

2002-11-02  Tim Miller  <tim_miller@users.sourceforge.net> 1.3.2-cvs-b18

	* Added the "new-album" command to gallery_remote2.php.
	* Removed some incorrect urlencoding.

2002-10-31  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b17

	* Fixed a bug in view_album.php where we were generating admin links
	  with "albumName=xxx" instead of "set_albumName=xxx".  This would
	  cause fatal errors under certain rare circumstances.

2002-10-31  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b16

	* Minor tweak: if the full name is empty, display the username in the
	  "Welcome, xxx" message on albums.php

	* Integrated Jesse Mullan's albumdb refactoring code in a separate
	  branch.  This code separates out the information about each photo
	  from the album metadata which allows us to load much less data into
	  memory when we load an album.  This will speed up cross-album
	  operations and use less memory (yay Jesse!)

2002-10-18  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b14

	* Enhanced the config wizard to behave reasonably when open_basedir is
	  on.  Specifically I improved it so that it doesn't spit out endless
	  warnings by trying to stat files that are not in the open_basedir list.

2002-10-15  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b13

	* Changed php_flag to php_value in the config wizard code.
	  The PHP website claims that php_flag is legitimate, but some versions
	  of PHP don't support it.

2002-10-15  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b12

	* Added .swf (Shockwave) as an acceptable movie format

	* SECURITY: remove tags from the login name and password on the
	  login page to protect against cross-site-scripting attacks.
	  Thanks to Bryan Burns for the tip.

2002-09-27  Tim Miller  <tim_miller@users.sourceforge.net> 1.3.2-cvs-b11

        * Added gallery_remote2.php and supporting files, which implement
	  the first release of the new Gallery Remote protocol,
	  to be used with GR 1.0-b9 and later.

2002-09-27  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b10

	* Fixed a bug in the comment code that caused the IP not to appear
	  when register_globals is off

	* Changed the comment display code so that it only shows the IP to
	  administrators.

2002-09-23  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b9

	* Overhauled the UPGRADING document; it was getting pretty confusing

	* Rolled in Sammy Spets' "can view full images" permission patch

	* Changed the captionator to only require canChangeTextOfAlbum
	  permissions (used to require canWrite).

2002-09-18  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b8

	* Fixed a bug in the ImageMagick code where it was rotating images the
	  wrong direction.

2002-09-15  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b7

	* Added setup/check_imagemagick.php (forgot to do it as part of -b6)

2002-09-14  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b6

	* Gallery now supports ImageMagick, thanks to a patch from Vallimar!

2002-09-10  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b5

	* Converted from short php tags to long php tags, thanks to a very
	  large patch from Chris Ricker <kaboom@gatech.edu>

2002-09-04  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b4

	* Added <html> and <head> tags where appropriate to make Gallery more
	  compliant.

2002-08-23  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b3

	* Changed the Album's mkdir() call to use perms of 775.  This fixes the
	  problem where the albums directory has the user sticky bit set (which
	  some ISPs like to do).  Thanks to Alexey Ovcharov and Pavel for this
	  fix

2002-08-22  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b2

	* Tweaked setup/check_netpbm.php so that it works better on Windows.

2002-08-12  Bharat Mediratta  <bharat@menalto.com> 1.3.2-cvs-b1

	* Added a few more default search paths for NetPBM and jhead in the
	  config wizard

	* Fixed a bug in the config wizard where we were overriding Options
	  in .htaccess (thanks Karl Narveson)

================================================================================
v1.3.1 release
================================================================================

2002-08-01  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b13

	* Fixed similar SECURITY HOLE in captionator.php (how did I miss this
	  before?).

2002-07-31  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b12

	* Tweaked the new register_global workaround code so that it is
	  portable across a wider range of PHP versions (thanks again, Ariel)

	* Added a diagnostics page in the config wizard to tie together the
	  various tools that live in that dir.

	* Defaulted the preserve-original-filenames-on-upload feature to true
	  (this will only affect new install)

2002-07-30  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b11

	* Fixed SECURITY HOLE in the errors/Xxx templates that allows remote
	  execution.

	* Incorporated small patch from Nicholas (delusion_) to make edit_thumb
	  work properly under IIS

2002-07-16  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b10

	* Incorporated a patch from Ariel Shkedi to allow Gallery to work with
	  register_globals off, by exporting GET/POST/COOKIE variables into the
	  global namespace

2002-07-14  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b9

	* Added several default paths to the binary search path in the config
	  wizard so that we can try to detect common locations of netpbm and jhead.

2002-07-05  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b8

	* Fixed #573035 "Keywords are assigned incorrectly".  Thanks
	  Sander Verbruggen for finding this one.  Nested albums would cause
	  keywords to be stored in the wrong item when using the
	  captionator.

	* Applied two small bugfixes in the check_exif code that might cause it
	  to detect jhead properly.  Thanks to Mike Corrigan for the fix.

	* Found and fixed another setup bug which could lead to the config
	  wizard being unable to write to config.php

	* Removed unnecessary line in captionator that really slows things
	  down (thanks, Jesse Mullan)

	* Fixed a bug in the NetPBM code that was using the --quiet flag
	  incorrectly.

2002-06-28  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b7

	* Fixed a bug in the captionator that allowed unauthorized users
	  to modify captions.

2002-06-20  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b6

	* Fixed a bug in the slideshow introduced in 1.3.1-cvs-b5 where
	  it would bomb on albums that contained only sub-albums

2002-06-10  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b5

	* Fixed a bug in the slideshow where each hidden photo would cause one
	  additional photo not to get displayed (thanks Chris Roosenraad)

2002-06-06  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b4

	* Fixed a security bug in the slideshow (#564083).

2002-06-04  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b3

	*  Certain versions of PHP don't provide the full path in
	  __FILE__, which causes our new GALLERY_DIR detection code to fail,
	  which in turn causes the config wizard to fail.  Resurrect the old
	  code as a fallback.

2002-05-31  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b2

	* Rolled in a patch from Benjamin Sadaba which fixes a couple of bugs
	  in the edit thumbnail code causing it to fail under certain JVMs.

2002-05-27  Bharat Mediratta  <bharat@menalto.com> 1.3.1-cvs-b1

	* Fixed a bug in gallery_remote where it does not clean up its temp
	  files.

================================================================================
v1.3 release
================================================================================

2002-05-05  Chris Smith  <chris@jacko.com> 1.3-cvs-rc4

	* Slideshow modifications (both low and high tech):
	  - Fixed bug where photo that did not have resized
	    versions would not display.
	  - Reverse-direction control is back, by popular demand.
	  - Control panel rearranged some more.

2002-05-01  Bharat Mediratta  <bharat@menalto.com> 1.3-cvs-rc4

	* Worked around http://bugs.php.net/bug.php?id=16905
	  This caused the [new album] command to fail on PHP 4.2.0.

2002-04-27  Bharat Mediratta  <bharat@menalto.com> 1.3-cvs-rc4

	* Turn register_globals on in the .htaccess file in both the setup
	  directory and the main gallery directory (thanks Scott Rose)

	* Fixed a serious bug on Win32 where it was not correctly creating the
	  album backup files when serializing the album data file.  It's
	  entirely possible that (without this fix) no Windows users have any
	  backup files!  DOH!

2002-04-27  Chris Smith  <chris@jacko.com> 1.3-cvs-rc3

	* Slideshow modifications (both low and high tech):
	  - Navigation bars now match rest of site UI, and
	    controls have been cleaned up and consolidated.
	  - IE5.5+ users now have a large choice of transition
	    modes.
	  - User can choose whether slideshow loops.
	  - User can choose whether to view photos in full size.
	  - Removed reverse-direction and skip-to options.


2002-04-23  Bharat Mediratta  <bharat@menalto.com>

	* Added 640 and 1024 as possible image resize choices.

	* Fixed bug in safe mode detection.

2002-04-16  Chris Smith  <chris@jacko.com>  1.3-cvs-rc2

	* Slideshow now optionally operates in 'low-tech' mode. Browsers
	  that are known to have issues with the advanced features of the
	  slide show are automatically redirected to the low-tech slideshow.

	* Further cleanup of default album thumbnail wrapper.

2002-04-11  Bharat Mediratta  <bharat@menalto.com> 1.3-cvs-rc2

	* Added code to the config wizard to detect safe mode and not allow the
	  user to proceed if it is enabled.

	* Fix for bug #540208 "Deletion of nested albums is screwed up".

2002-04-05  Chris Smith  <chris@jacko.com>  1.3-cvs-rc1

	* Changed version to 1.3 Release Candidate 1.

2002-04-05  Chris Smith  <chris@jacko.com>  1.2.6-cvs-b36

	* The default implementation of the inline album thumbnail
	  wrapper has been simplified. Less html, faster rendering. Now
	  uses a few images ald looks like a book.

	* Slideshow cleanup:
	  - Fixed bug where the 'skip to' feature did work in some browsers
	    (thanks Anthony Moulen).
	  - No longer gets stuck when trying to skip over movies.
	  - Now functional in NS4/6, Mozilla0.9, IE5/6, Opera5/6.
	  - Now only attempts blending transitions in IE6.
	  - No longer enable/disableing controls. Was problematic.
	  - Captions are now displayed in a <div> in browsers that can handle
	    it (IE, NS6) instead of textarea. Much nicer.
	  - Handles the case of albums with no photos cleanly.

	* Captionator now shows as many thumbnails as the album displays
	  (thanks Eelco Brölman).


2002-04-02  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b35

	* Detect broken albums and warn the Gallery administrator when they are
	  detected.

2002-03-28  John Kirkland  <jpk@bl.org>  1.2.6-cvs-b34

	* Added patch by Anthony Moulen to support multi-line exif
	  comments.

2002-03-27  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b34

	* Fixed bug where we were deleting photos by index instead of id which
	  could cause problems when you have two simultaneous sessions open.
	  Thanks to Adam Lazur <zal@debian.org> and Jan Martin Mathiassen
	  <reaper@mindriot.as>

	* Fixed bug where admins were unable to search albums if they didn't
	  explicitly have read permissions (thanks Eelco Brolman)

2002-03-24  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b33

	* Added check_netpbm diagnostic script to the setup code

	* Tweaked config wizard to actually verify that the tmp directory is
	  writeable to resolve open_basedir issues.

2002-03-20  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b32

	* Fixed a minor but annoying issue where the config wizard spouts out
	  tons of "stat file does not exist" warnings when warnings are not
	  dialed down on the server.

	* Added support for PostNuke 0.7.1's new user API.

2002-03-19  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b31

	* Added the ability for you to grant users the "create sub album"
	  permission on a per-album basis.  This allows for much finer
	  granularity control over who can create albums, as well as providing
	  this necessary functionality when Gallery is embedded.

2002-03-18  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b30

	* Fixed a bug in printChildren() where we were not generating URLs
	  correctly causing the links not to work in all circumstances.

	* Fixed a bug in save_photos that would cause URL uploads to fail when
	  file_upload is disabled (thanks Sebastian Bergmann)

	* Fixed a bug in Album which would cause it to think that the mirror
	  was up to date in the case that the ISP has a bogus bumper page up to
	  handle 404 errors.

	* Added a donation plea to the bottom of the album and gallery pages,
	  only visible to the gallery admin.

2002-03-12  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b29

	* Fixed a typo in postnuke/UserDB that was causing errors with the new LoggedIn
	  functionality under PostNuke.

2002-03-11  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b28

	* Cleanup of view_comments page: (1) better differentiation of
	  nested albums, (2) breadcrumb now in the context of the
	  'view comments' mode, (3) added [return to album] link.

	* Fixed bug in the rendering of nested album thumbnails in the
	  view_album page. Now uses the proper dimensions for nested album
	  highlight thumbnail, even in the case where the highlight is
	  nested album.

2002-03-10  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b27

	* Cleaned up the caption-left-align in the view_album page so
	  that the thumbnail images are once again centered on the page.

2002-03-10  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b26

	* Fixed bug introduced in 1.2.6-cvs-b25 where configuration
	  failed due to the setup script not including the new
	  LoggedInUser class.

2002-03-08  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b25

	* Added the oft-requested support for "logged in user" permissions.
	  You can now restrict an album's various perms to any user that is
	  logged in.  I originally checked this into v1.2.6-cvs-b24 but there
	  was an error so I've burned that build.

2002-03-07  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b23

	* Now left-align the text below thumbnails in the album page. Looks
	  a little cleaner.

	* Fixed a bug in view_album where the invisible elements of the
	  admin commands forms below each thumbnail were being output, even
	  when the user was not an admin (was not a security issue, but a
	  waste of bandwidth)
.
2002-03-07  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b22

	* Thumbnails in albums are now rendered with html_wrap files. The
	  default implementation of the nested album thumbnail now has a
	  distinct look, like a stack of photos, to distinguish it from
	  photo thumbnails. This feature inspired by work from Kees van den
	  Broek, Jesse Mullan and JPK.

2002-03-07  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b21

	* Fixed a very minor bug in add_photos that would cause the "number of
	  boxes" dropdown not to work if file_uploads is disabled.

	* Work around a bug in PHP 4.2.0-dev where session_is_registered()
	  apparently does not work as advertised.  This fixes a bug where folks
	  are unable to log on (but only in PHP 4.2.0-dev as far as I can
	  tell.)

	* Made Album's load method more robust.  Now it will check the object
	  that it deserialized to make sure that it's an instance of the Album
	  class.  If it's not, then we'll go immediately to the backup file.
	  Before we used to only go to the backup file if the album.dat file
	  was missing or empty.  So now it will work if the file exists, but is
	  corrupted.

2002-03-04  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b20

	* "Edit Caption", "Edit <Field>" and "Add Comment" popup
	  windows no longer commit changes when "Cancel" button
	  is hit (my god, this must be Gallery's oldest overlooked bug!).

2002-02-25  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b19

	* Tiny UI cleanup of view comments and showChild features.

2002-02-25  John Kirkland  <jpk@bl.org> 1.2.6-cvs-b18

	* Item Capture Date was not getting set with the new return values from
	  getExif();

2002-02-25  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b17

	* The "view comments" feature is now only available to the owner of the
	  album (and admins).

2002-02-24  Chris Smith  <chris@jacko.com> 1.2.6-cvs-b16

	* UI cleanup of slideshow, captionator. On main page,
	  got rid of reviled <hr> tag.

	* New showChildAlbums feature now obeys display_clicks setting
	  and no longer displays hidden albums.

	* View Comments page UI tweaked to match Gallery UI.

2002-02-24  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b15

	* Feature:  Added Jacob Redding's slideshow script.  You can now view
	  the entire contents of an album as a slide show with forward/reverse
	  controls, random access and delay times.

2002-02-23  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b14

	* Optimization: we now provide the option to cache EXIF data in the
	  album so that it only needs to be generated once.  This is trading
	  off album size vs. cpu cycles.  I'm not yet sure if it's a good
	  idea...

2002-02-23  John Kirkland  <jpk@bl.org> 1.2.6-cvs-b13

	* Rotated images no longer lose their exif data.  I incorporated
	  a patch from Eelco Brolman (eelcob) and made some minor
	  modifications.  This fixes bug #457358 and feature #473443.

2002-02-23  John Kirkland  <jpk@bl.org> 1.2.6-cvs-b12

	* Fixed buglet where a non-logged in user could not use the
	  "View All Comments" feature.  This is bug #521810.

2002-02-23  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b11

	* Added Chris's captionator feature.  It allows you to edit many
	  captions at once (huge time saver!)  Another patch that I should have
	  rolled in umpteen months ago.

	* Added Jesse Mullan's "show album tree" feature that allows you to see
	  the entire tree of child albums at the top level of Gallery.  Thanks,
	  Jesse!  Sorry it took me 5 months to incorporate your patch :-/

2002-02-22  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b10

	* Incorporated patch from Joseph D. Scheve <chevy@tnatech.com> that
	  allows you to view all the comments for an album.  It's pimp!  Who
	  says that open source doesn't work?

	* Incorporated patch from Jesse Mullan <jmullan@visi.com> that
	  prevents users from viewing hidden photos by hand-crafting
	  the direct image URL.

2002-02-20  John Kirkland  <jpk@bl.org> 1.2.6-cvs-b9

	* At image upload time, jhead now runs against the image that we
	  copy into our album directory instead of the original uploaded
	  image.  The reason for this is because we were not escaping
	  special characters in the original filename.  Characters like
	  <space>, ', and " would cause jhead to fail.  Since our copied
	  version of the file has all of these characters removed, it is
	  a safe alternative.

2002-02-19  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b8

	* Minor tweak -- we now set an extended time limit when moving photos
	  also.

2002-02-11  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b7

	* When uploading photos, we now move the newly uploaded file into
	  gallery's temp directory using the move_uploaded_file() function.
	  This allows us to sidestep the open_basedir restriction.

2002-01-18  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b5

	* Fix for bug #487744: Gallery $index conflicts with Nuke $index

	* Added a configuration option to allow you to specify the image
	  quality for JPEG images.  The default is still 95, though.  This
	  requires a bump to the config version so all new installations will
	  be forced to re-run the config wizard.

2002-01-18  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b4

	* Fix for bug #505234: Gallery with PHP-Nuke (5.4) include error
	  In PHP-Nuke 5.4 they changed the $op variable to $mop

	* Fix for bug #505120: "File upload in progress" bogs down server
	  Change the "Upload Progress" dialog box to use a single animated GIF
	  instead of the javascript solution.  This can reduce server load
	  considerably if the browser has very conservative caching settings.

	* Fix for bug #502543: Private album name leak

2002-01-08  Bharat Mediratta  <bharat@menalto.com> 1.2.6-cvs-b3

	* Fixed a bug where moving a nested album to a new location would
	  delete all the photos inside the album.

	* Added "mpeg" to the list of movie types.

2002-01-04  John Kirkland  <jpk@bl.org> 1.2.6-cvs-b2

	* Fixed bug #426151 -- Upload fails on file names with apostrophe

2002-01-04	Chris Smith  <chris@jacko.com> 1.2.6-cvs-b1

	* Fixed bug #490317: mismatched table tags in view_photo.

	* Fixed bug #497703: some &nbsp;'s that were missing
	  their semicolons.

	* Fixed bug in view_album where when embedded in a Nuke install
	  that was 'also' symlinked, the paths to the pixel_trans.gif's
	  were broken.

2002-01-04  John Kirkland  <jpk@bl.org> 1.2.5-p1

	* Fixed bug where if you deleted an album, gallery would not
	  delete the nested albums within it.  SF #466790

2001-12-07  Bharat Mediratta  <bharat@menalto.com> (1.2.5)

	* v1.2.5 ships!

2001-12-06  Bharat Mediratta  <bharat@menalto.com> (1.2.5-cvs-b2)

	* Fixed bug #484755: Directory import fails on PHP 4.0.4pl1

2001-12-04  Bharat Mediratta  <bharat@menalto.com> (1.2.5-cvs-b1)

	* README: added more info on how to do CHMOD operations from CuteFTP.

	* Incorporated a patch from Adam Lazur (adam@lazur.org) which increases
	  Gallery's ability to deal with symbolic links.  It checks to see if a
	  file is a symlink, and that the symlink is valid, before trying to
	  open/read it.  This patch enables Adam's debian package of Gallery.

2001-12-04  Bharat Mediratta  <bharat@menalto.com> (1.2.4-p1-cvs-b1)

	* PostNuke now has the capability for using encrypted database
	  username/password information, which works just fine with the ADODB
	  database abstraction layer but breaks our layer.  I've updated the
	  PostNuke User and UserDB classes to use the PostNuke database object
	  to fix this problem.

2001-11-29  Bharat Mediratta  <bharat@menalto.com> (1.2.4)

	* v1.2.4 ships!

2001-11-28  Bharat Mediratta  <bharat@menalto.com> (1.2.4-cvs-b1)

	* Added support for PostNuke 0.7's authentication scheme.  We now
	  detect if we're embedded in this release of PostNuke and Do the Right
	  Thing.

2001-11-27  Bharat Mediratta  <bharat@menalto.com> (1.2.3-p1)

	* Fix for bug #486228 -- Can't cancel comment in dialog box

	* [SECURITY] Fixed a bug where a bad guy could use a malicious search
	  string or comment value to see the cookie. Thanks to Cabezon Aurelien
	  for finding the flaw.

2001-11-20  Bharat Mediratta  <bharat@menalto.com> (1.2.3)

	* v1.2.3 ships!

2001-11-19  Bharat Mediratta  <bharat@menalto.com> (1.2.3-cvs-b9)

	* Yet another minor tweak for IE6 compatibility.  Changed the way that
	  the javascript-page-reload code works in view_album.php

2001-11-17  Bharat Mediratta  <bharat@menalto.com> (1.2.3-cvs-b8)

	* [SECURITY] Fixed a bug where a bad guy could craft a url to index.php
	  that would allow remote file reading.  Thanks to Cabezon Aurelien for
	  finding the flaw.

	* Added the PostNuke style modversion array into version.php

2001-11-15  Bharat Mediratta  <bharat@menalto.com> (1.2.3-cvs-b7)

	* Fixed bug 481237: IE6 / JavaScript error on page refresh
	  IE6 now works without javascript errors.

	* The following characters can no longer be used in an album name:
 	  . (dot) # (pound) + (plus)
	  This fixes bugs 461799, 466789, and 469346.

	* Fixed two bugs having to do with URL and local file uploads on
	  Win32.  We were accidentally trying to convert urls to win32 file
	  format (leading to urls like "http;\\foo\bar" -- eek) and we were not
	  opening binary files with the "b" flag (thanks trantori@users.sf.net)

2001-11-12  Matthew McEachen  <mceachen@users.sourceforge.net> (1.2.3-cvs-b6)

	* Added "check all - clear all - invert selection" functionality
	  to the save_photos script. Also made the page a bit easier to
	  render for the user agent (removed the tr-per-checkbox).

2001-11-12  Chris Smith  <chris@jacko.com> (1.2.3-cvs-b5)

	* Fixed a bug in Gallery Remote album fetch routine where if
	  the user did not have write permission on a top level album,
	  the album fetch refused to delve within to find nested albums
	  the user might be able to write to.

2001-11-11  Chris Smith  <chris@jacko.com> (1.2.3-cvs-b4)

	* Added Gallery Remote communication script. Added link in
	  add_photos.php to direct the user to the Gallery Remote
	  download page.

2001-11-09  Bharat Mediratta  <bharat@menalto.com> (1.2.3-cvs-b3)

	* Fixed the annoying bug where if you modify the admin account using
	  the [manage users] interface it would log you out and you'd lose the
	  admin-ness of that account.

2001-11-05  Chris Smith  <chris@jacko.com> (1.2.3-cvs-b2)

	* No longer use the array_reverse function, as some older php
	  installations complain about the two parameter version of it.

2001-11-05  Bharat Mediratta  <bharat@menalto.com> (1.2.3-cvs-b1)

	* Added config wizard option to disable usage of flock(), since it
	  doesn't work in all environments.

2001-11-01  Bharat Mediratta  <bharat@menalto.com> (1.2.2)

	* v1.2.2 ships!

	* Added a fix to index.php so that it now detects it's Nuke module
	  name.  Now, you don't need to modify this variable by hand if you
	  rename your Gallery directory.

2001-10-29  Bharat Mediratta  <bharat@menalto.com> (1.2.2-cvs-b6)

	* In NetPBM 9.19, they renamed "ppmtojpeg" to "pnmtojpeg".  Argh!  So,
	  we need to be able to use whichever binary is handy.  Search for both
	  of them and then add a special case constant to tell us which binary
	  we located on the machine (so we know which one to use!).

	  This requires a change in the config version which means that you'll
	  be forced to re-run the config wizard.

2001-10-26  Bharat Mediratta  <bharat@menalto.com> (1.2.2-cvs-b5)

	* Adjusted capture_hours dropdown to include the 0 hour (12AM). Thanks
	  to Dan Wood for the catch/patch.

	* Fixed bug #475151: Album link always goes to page 1.  We now track
	  the most recently viewed page of each album in the session and return
	  to that page.

	* (chris) Changed the vertical alignment of the caption for clarity.

2001-10-16  Bharat Mediratta  <bharat@menalto.com> (1.2.2-cvs-b4)

	* platform/fs_win32: fixed a bug where we were using a form of of
	  str_replace that only works on PHP 4.0.5+

	* Made the serialization code more robust by checking to see if any
	  bytes were written into the new file before replacing the existing
	  file with it, and adding advisory locks around the whole thing.

	* platform/fs_win32: fixed a bug where it wasn't fully collapsing any
	  number of \'s in a filename into a single \ properly.

2001-10-13  Bharat Mediratta  <bharat@menalto.com> (1.2.2-cvs-b3)

	* Fixed bug [#466729] Bad aspect ratio in html 4 rotated imgs.  In
	  fixing this bug I found another problem: we were not upgrading the
	  thumbnail and highlight images as part of the upgrade process.  So I
	  fixed the upgrade code and have bumped the album version.  This means
	  that YOUR ALBUMS WILL BE AUTOMATICALLY UPGRADED next time you view
	  them, after getting this code.

	* Fixed a bug where we still count clicks, even when they are
	  disabled in the album (we just don't show the results).  Now we don't
	  count them, either.

	* Added the binary flag to fs_fopen() so that batch uploads
	  from a directory work on Win32 (thanks to Steve White)

2001-10-11  Chris Smith  <chris@jacko.com> (1.2.2-cvs-b1)

	* Breadcrumb trail now behaves properly for multiply nested
	  albums.

2001-09-30  Bharat Mediratta  <bharat@menalto.com> (1.2.1-p1)

	* Fixed a bug in the serialization code to remove a race condition
	  that can cause heavily used albums to lose their .dat files.

	* Fixed Album.load() so that it loads the backup .dat file if the main
	  one is missing (to aid galleries stricken by the serialization bug)

2001-09-14  Bharat Mediratta  <bharat@menalto.com>

	* v1.2.1 ships!

2001-09-13  Bharat Mediratta  <bharat@menalto.com> (1.2.1-cvs-b5)

	* Fixed bug "#461263: local upload don't work anymore!".  Thanks to
	  Jens Langner for the catch.

2001-09-12  Chris Smith  <chris@jacko.com> (1.2.1-cvs-b4)

	* Fixed a bug that caused [add comment] in view_photo.php to not
	  work in some circumstances.

2001-09-10  Bharat Mediratta  <bharat@menalto.com> (1.2.1-cvs-b3)

	* Fixed a bug that caused rotate images to appear with the wrong aspect
	  ratio when using the auto-resize code, thanks to Edouard Lafargue

	* Fixed several fairly serious security vulnerabilities thanks to
	  timely info from Mary J. Alderdice and Scott Salvidio.

	* Updated copyright notice.

2001-09-10  Bharat Mediratta  <bharat@menalto.com> (1.2.1-cvs-b2)

	* Fixed a harmless but annoying bug in Gallery_UserDB::getUidList()
	  where we were failing to use the full pathname to refer to a file.

2001-09-09  Bharat Mediratta  <bharat@menalto.com> (1.2.1-cvs-b2)

	* Fixed the sporadic session timeout bug!  It was caused by the click
	  counter code stuffing way too much data into the cookie.  Cookies
	  have a 1024 byte limit and the new stuff we were putting in would
	  eventually cause the session id to drop out.  D'oh!

	* Fixed issues with sucking images via the web:
	  - Fixed timeout bug when parsing large HTML files
	  - Prepend http: when no scheme is present (both initially and on the
	    results of parsed data)

	* It turns out that mod_rewrite requires the FollowSymLinks option
	  enabled (thanks to Dan Brown for catching this).  The setup wizard
	  will now turn it on for you.

2001-09-08  Bharat Mediratta  <bharat@menalto.com> (1.2.1-cvs)

	* Extended the configure instruction pages to have links to the FAQ and
	  the mailing lists

	* Dial down the error reporting (in case it's turned on for the
	  server) for now.  We'll properly address this in v2.0

	* Fixed a bug in the way that we were detecting HTTPS that was
	  accidentally causing false positives on some systems.

2001-09-07  Bharat Mediratta  <bharat@menalto.com> (1.2.1-cvs)

	* Fixed bug #459471 where you get "Cannot redeclare fs_copy()"
	  in the config wizard.  This only happens on older versions
	  of PHP like 4.0.1pl2

	* Fixed a bug in the style sheet link function (thanks to Tony Clayton)
	  that caused it to return a link in "/css" when upgrading from older
	  versions of Gallery.

2001-09-07  Bharat Mediratta  <bharat@menalto.com>

	* At long last, released v1.2!

2001-08-31  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b19)

	* Set the umask before copying files and making directories (and
	  restore it when we're done) so that we avoid any potential issues if
	  the umask is in some weird state.  Thanks to Jeff Kilbride for the
	  patch.

2001-08-29  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b18)

	* Potentially fixed a bug on PHP 4.0.1 where it complains that the
	  fs_XXX methods are redefined.  This is happening because the
	  require() method fires even when the line it's on never gets
	  executed.  Replace those with include().

2001-08-24  Bharat Mediratta  <bharat@menalto.com>

	* Upped the quality of the ppmtojpeg operation to 95.  This is the
	  highest quality setting recommended by the jpeg folks and should
	  minimize image degradation when processing jpeg images.

2001-08-21  Chris Smith  <chris@jacko.com> (1.2-cvs-b17)

	* Fixed a minor bug that would cause the edit_caption dialog
          to display an incorrect value in the capture year field when
          using IE6beta.

2001-08-20  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b16)

	* Fixed a minor bug that would cause index-out-of-bounds errors when
	  trying to move albums.  The error is visible in Netscape, but not in
	  IE.  The function would still work, but it would look bad.

2001-08-15  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b15)

	* Fixed a serious bug that could cause album corruption in large
	  albums.  The way that we were serializing data files had a race
	  condition; if you have two users who modify an album at the same
	  time (one of them might just be updating a click count) you will wind
	  up with a mangled data file.

2001-08-10  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b14)

	* Fixed a bug where if you turned off image resizing in the album and
	  turned on fit-to-window, you'll get a Javascript error.

2001-08-09  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b13)

	* Fixed a minor warning, "Warning: Missing argument 1 for
	  getrawdimensions()" when uploading.

2001-08-08  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b12)

	* Yet *another* set of bug fixes to the highlight album code.  This
	  round fixes another variant of the problem when you have nested empty
	  albums.

2001-08-08  Bharat Mediratta  <bharat@menalto.com> (1.2-cvs-b11)

	* Yet another bug fix to the highlight album code.  This time around
	  we're fixing an edge case which occurs when you have a nested album
	  that contains only an empty nested album.  This incidentally fixes
	  some problems with the mirroring caused by the prior fixes.

	* Sessions are no longer shared between multiple Galleries on the same
	  server, unless both Galleries use the same user database files.  Each
	  Gallery will have its own session (and you can flip back and forth
	  between them).

2001-08-07  John Kirkland  <jpk@bl.org> (1.2-cvs-b10)

	* Removed an extraneous "Highlight $label" line from
	  view_album.php.

2001-08-06  John Kirkland  <jpk@bl.org>

	(1.2-cvs-b9)
	* Bug fix for "highlight Album" not working for nested
	  albums.  There are a couple of changes here.
	  First, if we are highlighting a nested album, don't create
	  a new highlight image... one already exists in the
	  nested directory.
	  Second, if we are attempting to get a HighlightTag or
	  ThumbnailTag from an album, Gallery will now traverse the
	  nestedAlbum tree downwards until it actually hits a highlight
	  or thumbnail for a real picture.
	  Third, since we are not creating new highlight images
	  when highlighting a nestedAlbum, if you change the highlight
	  photo of a highlighted nested album it will change the
	  highlight in the parent as well.  (geez... try saying that
	  3 times real fast)

	(1.2-cvs-b8)
	* Added the ability to set the album properties for nested
	  albums without having to manually traverse a given tree
	  and change each one.  This was accomplished by adding a
	  checkbox in edit_appearance.php and by adding a new
	  method in Album.php called setNestedProperties().
	  Ed and Mary, this one is for you.  :-)

2001-08-05  Chris Smith  <chris@jacko.com> (1.2-cvs-b7)

	* Fixed a bug where the raw and sized dimensions of an
	  image were not getting updated after rotate.

2001-08-05  John Kirkland  <jpk@bl.org>  (1.2-cvs-b6)
	* Changed a few more $name variables to $src_name and one to
	  $dst_name in classes/AlbumItem.php.

2001-08-05  John Kirkland  <jpk@bl.org>  (1.2-cvs-b5)
	* Don't display [reset counter] in albums.php if the display
	  counts feature is turned off for that particular album.

2001-08-05  John Kirkland  <jpk@bl.org>  (1.2-cvs-b4)
	* Nested albums now inherit the album settings from their parents
	  when they are created.

	* Modified the "return-to" behavior when nested albums are used.
	  Now, if return is turned off, then nested albums will only show
	  a return link to their parent album, but not the main gallery.

2001-08-04  Bharat Mediratta  <bharat@menalto.com>  (1.2-cvs-b3)

	* Added a hack that allows you to do multi-level album highlighting.
	  It's still a bit limited; if you change the highlight at the
	  innermost level you still need to update it every step of the way
	  back up the chain.

2001-08-03  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug that was causing you to be unable to modify the
	  photo capture date.

	* Fixed a bug where if you change your own username it drops you
	  out of your session!

	* Fix for bug #447424: rotate not working under Nuke5.

	* Fixed bug #445598: duplicate images generated when uploading via
	  URL or from the local filesystem.  It turns out that we've had a
	  bug in the URL submit code since it was first written where we
	  double submit the form!  Thanks to cybertech@users.sourceforge.net
	  for letting me debug the problem onsite.

	* Added the mirror-site feature!  It still needs to be optimized,
	  but in its current state, you can rsync your albums to a remote
	  site (that you specify in the config wizard) and Gallery will
	  use photos from that location if they are up to date.

2001-08-02  Bharat Mediratta  <bharat@menalto.com>

	* Improved the URL fetch code so that now
	   -  you don't need to specify http://
	   -  if it fails the first time, it'll try again with a trailing /
	  The combination of these two tweaks allows you to enter
	  "www.cnn.com" in the URL box.

	* Removed dependency on Perl Compatible Regular Expression (PCRE)
	  library.

	* Admin management improvements:
	  o Admins can now modify other admin accounts.
	  o Admins can now grant admin privileges to regular users,
	    making them full admins.
	  o The admin account can rename itself.

2001-08-01  Bharat Mediratta  <bharat@menalto.com>

	* Reworked the config wizard.  It is much more friendly and
	  informative now. Hopefully this will cut down on confusion
	  during the configuration process.

2001-08-01  John Kirkland  <jpk@bl.org>

	* Optimization... fewer uses of $albumDB = new AlbumDB();
	  i.e.  Only load the required albums instead of all of them
	  in view_album.php.  Should speed up album access in large
	  galleries.

2001-07-31  John Kirkland  <jpk@bl.org>

	* Added 3 new sorting methods.
		1.  Sort by number of clicks
		2.  Sort alphabetically by Captions.
		3.  Sort by number of comments.

2001-07-30  Bharat Mediratta  <bharat@menalto.com>

	* Added the ability for Gallery to use the Nuke database.  If you
	  run Gallery under Nuke it will automatically detect the Nuke
	  user database and use it.  One known problem currently is that
	  only admins can create new top level albums.

	* Fixed bug #433374 (Gallery doesn't work well under http/https)
	  by adding code to detect https and rewrite the
	  $gallery->app->photoAlbumURL accordingly.

	* Fixed a variety of small Nuke problems (edit thumbnails feature
	  broken, upload progress window had broken images)

	* Fixed conflict between User class and PHPLib's User class

2001-07-28  Bharat Mediratta  <bharat@menalto.com>

	* Fixed bug #435495: Can't fetch ZIP file by URL.  I fixed this in
	  such a way that Gallery can now also handle nested ZIP files.

2001-07-27  Bharat Mediratta  <bharat@menalto.com>

	* Two changes to the image cropping java applet:
	  + Fixed a minor bug where the image URL had a port value of -1
	    this didn't seem to cause problems (!)
	  + Added the ability to maximize the selection by double clicking
	    on any part of the image.

2001-07-24  John Kirkland  <jpk@bl.org>

	* Re-fixed bug #442445 "sub-album permission".  My fix earlier
	  was not thorough enough in its checking.

2001-07-24  John Kirkland  <jpk@bl.org>

	* Fixed bug #442445 "sub-album permissions".  Just skipping
	  over nested albums if I cannot view them.


2001-07-22  Bharat Mediratta  <bharat@menalto.com>

	* Fixed bug #443479 "invalid PHP function in functions.inc"
	  fs_is_executable() was missing from platform/ files.

2001-07-21  John Kirkland  <jpk@bl.org>

	* Added ability to statically sort photos by name via the
	  new sort feature.  This feature was added based on discussion
	  between Ken Frank <kffrank@mn.mediaone.net> and
	  Ed Wilts <ewilts@ewilts.org> on our new Gallery-users mailing
	  list.

	* uploadDate and itemCaptureDate now set at file upload time.
	  One benefit to this is...  if you upload a zip file of
	  photos, and you do not have exif data in the photos, the
	  itemCaptureDate will be set to the time/date stamp of the
	  files contained within the zip file.  This is SF feature
	  #423208.

	* Display number of Photos in addition to number
	  of albums in the header of the main page.  This is SF feature
	  #438840.

	* Display "(hidden)" above the caption if you are viewing a
	  hidden photo in the view_album display.  This is SF feature
	  #441336.

2001-07-19  John Kirkland  <jpk@bl.org>

	* Fixed SF bug #442881.  "Extra </table> tag in search.php."

	* Fixed SF bug #439790.  "Add photos and nested albums."

2001-07-19  Bharat Mediratta  <bharat@menalto.com>

	* Added Album upgrade code.  If you upgrade Gallery to a newer
	  version and the album class has changed, you'll be required to
	  upgrade your albums to the latest version.  There is a spiffy
	  dialog that will walk you through a mostly automated process.

2001-07-19  John Kirkland  <jpk@bl.org>

	* Replaced album shuffle with album sorting.  This feature
	  will allow album owners to sort their albums according to
	  the file upload date or the Picture-Taken date.  The
	  picture-taken date is editable from the edit_caption screen.
	  Significant ideas and sorting code for this feature provided
	  by Sean Kelly <kelly@ad1440.net>.

2001-07-18  Bharat Mediratta  <bharat@menalto.com>

	* Alpha quality Win32 support is in.  I've tested the core
	  functionality but not things like zip and jhead support.  Edit
	  thumbnails appears not to be working.

	* Fixed the "1 byte sample bug".  This turned out to be quite
	  complicated and in order to maintain efficiency I had to update
	  the album integrity check code.  The upshot of this is that the
	  config wizard's public comment and click count variables HAVE
	  BEEN RESET.  If you have a copy of Gallery v1.2-cvs from prior
	  to this date you should audit these values in the config wizard
	  before viewing albums.

2001-07-13  John Kirkland  <jpk@bl.org>
	* Fixed SF bug#441249.  If a user was using the new "keep
	  original filenames" feature and they uploaded a file with
	  a purely numeric filename, this would cause issues if they
	  were also using mod_rewrite!  So... now... if a user
	  uploads a numeric filename and they wish to keep original
	  filenames, I add a "_G" (for Gallery) to the end of the filename.

2001-07-12  John Kirkland  <jpk@bl.org>
	* 2 minor keyword changes per Chris' request (SF#440303):
	  a.  Put keywords in photo-properties popup
	  b.  Only show keywords in search if there was a keyword match.

	* Only display "* comments available" text at the bottom
	  of an album if there was actually a comment for a photo
	  on that page.

	* Only display "Viewed n time(s)" if a photo has actually been
	  viewed before.

	* Fixed bug in [reset counter] functionality in do_command.php
	  where it wouldn't work for a non-admin user because $gallery->admin
	  wasnt' defined yet.

	* Added default settings for photo commenting and click counting
	  in the setup wizard.

	* Search will search comments if they exist for a given photo.
	  A given comment will only be displayed in the search engine
	  if it matches.


2001-07-11  John Kirkland  <jpk@bl.org>
	* Fixed a bug whereby resetting click counts was timing out for
	  large albums.  Reported by Ed.

	* Added public picture commenting feature. SF #404094
	  Specifics:
	  a.  Album owners can toggle it on/off per album
	  b.  Anyone can post a new comment if it is toggled on.
	  c.  People that can write to an album can delete individual comments.
	  d.  Comments consist of Name, Date, IPNumber, and Text.
	  e.  An '*' appears next to the captions of any photo with
	      comments.

	* Fixed minor bug in layout/searchdraw.inc


2001-07-10  John Kirkland  <jpk@bl.org>

	* Added a "keywords" feature.  When you edit captions, you now
	  have the ability to enter photo keywords that the search engine
	  will use when searching for images.


2001-07-10  Bharat Mediratta  <bharat@menalto.com>

	* Turned off magic_quotes_runtime in the config wizard so that you
	  can configure Gallery on servers that have it turned on.

2001-07-09  John Kirkland  <jpk@bl.org>

	* Photo caption setting now works for URLs.  This is
	  feature #425987 from sf.

2001-07-08  John Kirkland  <jpk@bl.org>

	* Photo captions now automagically get set from the original
	  filenames.  This is controlled via a checkbox in the file
	  upload screen.  Hi, Ed!  This feature is for you!  :-)

	* Added the ability to retain original file names when uploading.
	  All non-alpha-numeric characters are converted to underscores.
	  This feature is a gallery-admin level config.  If dup names are found
	  during upload, gallery will find a unique name based on the
	  original.  This is feature #429716 from sf.

2001-07-07  John Kirkland  <jpk@bl.org>

	* Added a click counter to photos and albums.  This feature
	  uses session cookies to determine if you have viewed a particular
	  album or photo during a given browser session.  If you have not,
	  gallery will increment a click counter and display the results
	  in the view_album.php and albums.php screens.  Admin functions
	  exist at an album level to enable the viewing of click counts
	  and to reset click counts back to zero.  This is feature #424728
	  from sf.

2001-07-06  John Kirkland  <jpk@bl.org>

	* Bumped Gallery rev to 1.2-cvs

2001-07-05  Bharat Mediratta  <bharat@menalto.com>

	* Bumped Gallery rev to 1.1

2001-07-04  John Kirkland  <jpk@bl.org>

	* Fixed some minor bugs in the move_album.php form.

	* Implemented 3 optimizations for moving photos between galaries:
		1.  if thumbnail exists and is correct size -- use it
		    instead of creating new one.
		2.  if resized image exists and is correct size --
		    use it instead of creating new one.
		3.  if the album highlight image is amongst the
		    images that are being moved, don't create a new
		    highlight image until all of the photos are moved.
	  Pre-optimization time:  81 seconds to move 11 images
	  Post-optimization time:  5 seconds to move 11 images

2001-07-03  Bharat Mediratta  <bharat@menalto.com>

	* Fixed the config wizard inside Nuke.

	* Made the name of the Nuke Gallery module a variable so that it
	  can be easily modified.  This makes it easier to have multiple
	  Galleries in a single Nuke site.

	* Fixed a compatibility issue that caused the setup wizard to lose
	  your settings when upgrading to v1.1

	* Fixed a bug that caused Gallery to fail under PHP 4.0RC1 and
	  verified that Gallery now works with this release.

2001-07-01  Chris Smith  <chris@jacko.com>

	* Search pages now embed properly in nuke, just like
	  the other pages. Also tuned the look and feel of search.

2001-06-28  Bharat Mediratta  <bharat@menalto.com>

	* Separated gallery_style.css.default into two new style sheets,
	  standalone_style and embedded_style, which we'll use as appropriate.
	  Also, moved our style sheet to the top of the Nuke <head> tag when
	  embedded so that it can be overridden by Nuke and/or the theme.

2001-06-28  John Kirkland  <jpk@bl.org>

	* Added search functionality to Gallery.  If configured on, a
	  search text box will appear on the main gallery screen.
	  It searches Album Titles and Descriptions and Photo Captions.

2001-06-28  Bharat Mediratta  <bharat@menalto.com>

	* Added a major hack to get the Gallery style sheet into Nuke.  Nuke
	  owns the header and doesn't allow anything else to dink with it.
	  We open Nuke's header.php file and rewrite its code to slip our
	  style sheet in at the end.

	* Checked in fix for bug #437039.  We were using an absolute popup
	  url for photo properties, instead of a relative one.

	* Gallery is now a PHP-Nuke 5.0 module!  This required a lot of
	  tweaks all over the system, so there will probably be some small
	  breakages.  However, you can now put your gallery in the modules
	  directory of your PHP-Nuke 5.0 site and it will appear
	  automagically in the Nuke modules list.

	  NOTE:  In order to do this we had to modify some of the default
	  wrapper code, so if you've defined your own custom html_wrap
	  files, you'll need to make sure that you look at the new default
	  files and suck in the changes found there (or your Gallery won't
	  work as a Nuke plugin).

2001-06-27  Bharat Mediratta  <bharat@menalto.com>

	* Completely change the way that we handle session variables.  In
	  the past we allowed them to be globals, but unfortunately there
	  were conflicts in the global namespace with applications such as
	  PHP-nuke.  Instead I've taken all global/session variables and
	  put them inside a global stdClass called $gallery.  Let us all
	  pray that no major PHP project uses that variable (if they do,
	  we can rename it but it will be painful).  The upshot: Gallery
	  is now one giant step closer to working with PHP-nuke

	* Created the UPGRADING doc.  It needs more content.

	* Separated the .htaccess and mod_rewrite code in the config
	  wizard.  If you don't have the appropriate overrides set in
	  Apache, you may get a 403 when you first try to run the wizard.
	  You can fix this by removing the php_value lines from the
	  setup/.htaccess file.  In the past, the wizard would *still* put
	  php_value lines in the top level .htaccess file causing gallery
	  to continue to malfunction.  Now it won't do that.

	* Integrated Jared (hogalot)'s patch that allows you to upload
	  files from a local directory.  I had to hack it up so that it
	  presents you with a list of the images that it has found, so
	  that you can pick and choose the ones that you want.  It's very,
	  very fast!

2001-06-25  Chris Smith  <chris@jacko.com>

	* Added the option to see jpeg image EXIF data. This excellent
	  patch was done by John Kirkland. This required jhead binary
	  but is an optional feature.

	* Moved order from Shutterfly link to the top of the view_photo
	  page.

	* Nested albums can be the highlights of their parent albums.
	  Patch be John Kirkland.

2001-06-25  Bharat Mediratta  <bharat@menalto.com>

	* applied patch to progress_uploading.php from Mark van der Sanden
	  (markvds) who correctly states, "The right way to use an
	  animate-function is to first load the images into variables (of
	  type Image) and then assign the .src of that image to the .src
	  of the image on the page."

	* Fixed a bug where the "last" button was taking you to the next photo.

	* "mov" is now a valid movie tag.

2001-06-16  Bharat Mediratta  <bharat@menalto.com>

	* We now force magic_quotes_runtime to be off.  That setting interferes
	  with our ability to deserialize classes from the filesystem.

2001-06-16  Chris Smith  <chris@jacko.com>

	* Bug #424361: Applet parameters caused applet to not load on
	  IE for Mac. I am unable to test this (no mac), but this change
	  doesn't break the applet on other platforms

	* Bug #429531: Fixed broken <select> code. Broke Move photo
	  code. Also cleaned up move messaging.

2001-06-04  Chris Smith  <chris@jacko.com>

	* Bumped the version to 1.1-cvs.

	* Added nested album functionality. Thanks to John Kirkland
	  for submitting this excellent patch.

	* Added ability to move photos (and nested albums) from one album
	  to another. In addition, contiguous blocks of photos can also
	  be moved from one album to another. Thanks again to John
	  Kirkland for this patch. Thanks also to Marc Slemko for submitting
	  a bug (#429531) with a patch (already!) related to this feature.

	* Bugfix (#424361): The edit_thumb applet should now launch in
	  IE on the Macintosh. Thanks to "Anonomous" for submitting the
	  bug with the patch.

2001-05-23  Bharat Mediratta  <bharat@menalto.com>

	* Bumped the version to 1.03-cvs

	* Fixed a minor bug in the wizard.  In the past, if you had a
	  required binary (such as a NetPBM binary) in your path and you
	  also specified a directory location in the wizard, it used to
	  take the location from the path instead of the one you
	  specified.  This made it difficult for you to install a new
	  version of NetPBM and tell Gallery where it was located.  Now it
	  uses the path you specify.

	* Bugfix: if you're viewing an album that has N hidden photos as an
	  unprivileged user (ie, you can't see the hidden photos) then the
	  last N photos will not display correctly if you page through
	  them one at a time in full/resized mode (ie, using
	  view_photo.php).

2001-05-20  Bharat Mediratta  <bharat@menalto.com>

	* Fixed bug where clicking the last-photo button takes you to
	  the next photo (not the last one).  Thanks to Ken Frank
	  for submitting the bug with the patch.

2001-05-12  Bharat Mediratta  <bharat@menalto.com>

	* 1.02 released

	* Fixed security hole that allows non-authenticated users to modify
	  album permissions

	* Rebuild thumbs command was not rebuilding thumbs for hidden photos.

	* ImageCrop loads the image properly if the webserver is not running
	  on the default port (jacko)

2001-05-11  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a common problem where you cannot put Gallery back into secure
	  mode.  PHP's is_readable() gives false positives on some systems causing
	  Gallery to fail to detect that the setup directory is unreadable (and
	  that therefore we are no longer in configuration mode).  We now double
	  check by using the fileperms() function and checking for permissions of
	  755 on the setup dir.

	* Image rotation now uses pnmflip instead of pnmrotate.  Pnmrotate
	  is very slow and memory intensive for large images.  Pnmflip is fast
	  and is very effective for 90 degree rotations.  This means that Gallery
	  now requires the pnmflip binary, which is part of the NetPBM1.1-Gallery
	  micro distributions on the Gallery download page.

	* Modified to accept "jpeg" as a valid JPEG image file tag.

	* Patch from John Kirkland (jpk@bl.org):
	  AlbumItem.php was explicitly checking tags for "avi" and "mpg", but
	  not "wmv".  I changed AlbumItem.php to use isMovie() instead of doing
	  the tag checking itself.

	* Improved the NetPBM-missing error message to indicate that if NetPBM
	  is installed but not in the webserver user path you can add it by hand
	  on page 2 of the wizard.

2001-05-01  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug where we were generating the highlight photo from the
	  thumbnail image.  This would result in a reduced quality highlight,
	  especially in the case where the highlight is larger than the
	  source thumbnail!

2001-04-30  Bharat Mediratta  <bharat@menalto.com>

	* Added --quiet flag to pnmscale to avoid dumping lots of output
	  to the log file.

	* Fixed bug #417706 (uploading images bombs in Album.php:377)

2001-04-15  Bharat Mediratta  <bharat@menalto.com>

	* Bumped version to 1.01

	* Fixed a bug where a Gallery would show up as "Empty!" in the
	  albums page if all its photos are hidden.  I've adjusted this so
	  that you still see the highlight photo (even if its hidden).

	* Check if the item is a movie by id as opposed to index.  The
	  index is unreliable because it will vary if there are hidden
	  items in the album.

	* Handle movies correctly in view_photo.  From the view_album
	  page, we don't typically let you get to the view_photo page on a
	  movie, but if you're navigating forward/ackwards in the album on
	  the view_photo page already, we should show the movie.

	* Partial fix for bug 412842; we were not correctly copying the
	  movie jpg into the album when adding movies.

	* Partially closed a security hole by creating a .htaccess file in
	  the .user directory that prevents people from downloading user
	  db records.

	* Fixed bug 416033: Hidden photos can be viewed

	* We had an unacknowledged dependency on "pnmcut".  It's now
	  made mandatory in the config wizard.

2001-04-06  Bharat Mediratta  <bharat@menalto.com>

	* Released 1.0!

	* If you compile PHP with the --enable-sigchild option, every call to
	  exec() will return a status of -1.  We now run some tests in the
	  config wizard to detect this condition and keep track of the
	  expected error status code.  If we guess wrong, you can always
	  modify it yourself.

	* Added a verify function to check to see if you provided the
	  right path to your NetPBM binaries on the confirm page.

2001-04-02  Bharat Mediratta  <bharat@menalto.com>

	* Released 1.0b10

	* Removed the initial redirect that happens when you don't specify a page.
	  This was breaking Konqueror, and it was also messing up our neat short
	  urls.

	* If rewrite is on, use the short URL for navigation also, instead of
	  view_album.php.  This preserves the album name in the URL while browsing.

	* Fixed a bug in the table width; we were hardcoding it to 400 pixels instead
	  of calculating it from the width of the thumbnails * num of columns.

2001-03-27  Bharat Mediratta  <bharat@menalto.com>

	* Added code to track the version of Gallery used to create a
	  specific session.  If that version doesn't match the current
	  version of the code then destroy the session.  In general this
	  prevents problems when you upgrade Gallery.  Specifically this
	  fixes the problem that after you upgrade from 1.0b7 and earlier
	  you can't change pages in the album.

2001-03-25  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug in the setup code that caused you not to see the
	  details when the magic-quotes check fails.

	* Cleaned up the instructions you receive when gallery is un- or
	  mis-configured.

	* Fixed a bug where we were relying on the SCRIPT_FILENAME and
	  SCRIPT_NAME ennvironment variables to determine our filesystem
	  path.  On servers which use PHP in a cgi-bin context, these
	  point to the PHP binary, instead of to the PHP files we're
	  evaluating.  Instead we use the HTTP_SERVER_VARS (PATH_TRANSLATED,
	  and PHP_SELF).

2001-03-24  Bharat Mediratta  <bharat@menalto.com>

	* Released version 1.0b9

	* Disallow PHP 4.0.2 in the setup wizard because it has a bug in
	  its unserialization engine.  I also added explanations for the
	  disallowed versions.

	* Fixed the show/hide bug where you'd see unpredictable results
	  when showing/hiding photos.

	* Fixed a bug where we were printing out jpegtopnm debug info only
	  when debug was *off*.

	* Fixed zipfile-sorting bug.  I was using SORT_NUMERIC inappropriately.

	* Added code to check to see if the version of PHP being used has
	  the deserialization bug (early versions of PHP4 have it), and
	  then present an appropriate error message.

2001-03-17  Bharat Mediratta  <bharat@menalto.com>

	* Released version 1.0b8

2001-03-15  Alan Harder  <alan.harder@sun.com>

	* Revamped fit-to-window code; now fully functional.
	  (works for IE and Navigator and keeps the border around the image)

2001-03-13  Chris Smith  <chris@jacko.com>

	* Added "Order This Photo on Shutterfly" capability.
	  this is an optional album setting.

2001-03-12  Chris Smith  <chris@jacko.com>

	* Added 'Edit Thumbnail' image editing command to the view_album
	  page. This allows you to choose a sub-region of the image as
	  your thumbnail. The magic happens in a java applet.

	* Moved all image editing commands on the view_album page to
	  dropdowns (form selects) to clean up the UI.

2001-03-10  Bharat Mediratta  <bharat@menalto.com>

	* Fixed minor bug in save_photos where it was complaining about
	  "Invalid argument supplied for foreach".

	* Added debug constant to the config wizard so that you can turn
	  debugging on and off for the application.  This will give you
	  some extra debug output to help diagnose Gallery problems.

2001-03-09  Bharat Mediratta  <bharat@menalto.com>

	* Added a new Gallery setting:  albumsPerPage.  This lets you specify
	  how many albums show up on each Gallery page.

2001-03-08  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug where rotating a photo wouldn't update the highlight (if
	  the photo was also the highlight).  It does now.

2001-03-08  Dana Powers  <dana@slothlovechunk.org>

	* Added HTML slurp feature to Add Photos. This lets users specify
	  a url for the gallery to parse for html links to images. Finds
	  both 'img src=..' and 'a href=...', and provides a checkbox list
	  for determining which images to actually grab and add to the album.

	* Modified javascript for browser compatibility. Konqueror works now.

2001-03-07  Alan Harder  <alan.harder@sun.com>

	* Added full-only feature.  This allows the user to specify (per
	  session) that they would like to view the full size version of
	  photos directly, instead of having to click through from the
	  resized version.

2001-03-04  Bharat Mediratta  <bharat@menalto.com>

	* When adding items to an album that has an auto_resize specified:
		* don't resize movies
		* don't expand images (only shrink them)

	* Added docs to the README about uploading large images.  If your
	  .htaccess support is working you won't need this.

	* Sort the contents of ZIP files before adding them to the
	  gallery.  This helps when you're sending a lot of images from a
	  digital camera (which automatically creates them in
	  alphabetical/numerical order).  Thanks to Axel Suppantschitsch
	  [as@suit.at] for the necessary kick in the ass to do this.

	* Turned on the --quiet flag for jpegtopnm so you'll see less crap
	  in the error log.

	* Added support for WMV movie types.

	* Added a link to the Gallery survey at the end of the config wizard.

2001-02-27  Bharat Mediratta  <bharat@menalto.com>

	* Rolled in a patch from Phil Hord to escape file names when
	  unzipping files.  This prevents the shell from interpreting them
	  and getting confused when we exec().

2001-02-26  Bharat Mediratta  <bharat@menalto.com>

	* Keith Kemp graciously allowed me to use his system to test the
	  gallery-in-document-root bug.  I found and fixed the bug that
	  leads to double //'s found in URLs when you put your gallery in
	  your document root.

	* The config wizard now checks to make sure that you've provided
	  the valid path to the actual zipinfo and unzip binaries (instead
	  of just the directory that they live in).

2001-02-24  Alan Harder  <alan.harder@sun.com>, Bharat  <bharat@menalto.com>,

	* Added fit-to-window feature.  This feature will automatically
	  resize images to match the size of the user's browser.  It only
	  functions when:
		- You enable it in album properties
		- The image you're viewing has no resized image.
	  The config wizard enables this by default.

2001-02-22  Bharat Mediratta  <bharat@menalto.com>

	* Moved all exec() calls into exec_internal() in util.php.  This
	  bottleneck will make it easier to debug issues stemming from
	  exec'ing code.  Just turn on the $debug variable in
	  exec_internal() to see what it's doing.

	* Incorporated patches from Alan Harder:
	  * Don't display "on n pages" if there's only 1 page.
	  * fixed a bug where we weren't properly obeying the "showOwners"
	    flag
	  * Albums can now control their rows/cols individually, although
	    they draw their default value from the Gallery.

2001-02-22  Chris Smith  <chris@jacko.com>

	* Added inline photo header and footer to the view_photo page. This
	  page uses the html_wrap files that used to be used by view_album:
	  inline_photo.header/footer. The view_album file now uses:
          inline_albumthumb.header/footer.

2001-02-15  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug in preprocessImage() which was causing the function
	  to fail to do anything.  Doh!

	* Several minor tweaks of visible text for clarity

	* Fixed a bug where if you put the gallery in your document root
	  (as opposed to a subdir) the config wizard would get confused
	  and would sometimes put two slashes in a row in some urls
	  (broken) or leave the slash out (equally broken).

	* Don't show the [shuffle], [resize all], or [remake thumbnails]
	  commands if there are no photos in the album.

2001-02-14  Bharat Mediratta  <bharat@menalto.com>

	* Added inline_photo headers and footers so that you can customize
	  an action for each photo.  This is good for shopping cart
	  integration.

2001-02-13  Bharat Mediratta  <bharat@menalto.com>

	* Gallery 1.0b7 release.  Bumped config version to 9 due to
	  setup wizard changes.

	* Radically changed the way that the check_XXX methods work in the
	  config wizard.  Now we are able to be much more granular in what
	  is configured right and wrong on the specific system.  We also
	  check more rigorously for NetPBM.

	* Fixed a bug where init.php was getting loaded twice (this should
	  only happen in the case when you embed a newer Gallery inside an
	  older one).  Thanks to John Taber <john.taber@cntcorp.com> for
	  finding this one

	* Fixed off-by-one error in the code that tells you the photo
	  number.  Thanks to Alan Harder <alan.harder@sun.com> for this
	  find.

	* Fixed bug that was preventing password changes.  Thanks to Alan
	  Harder <alan.harder@sun.com> for this find.

	* Added code to allow you to (optionally) display the album owner
	  at the Gallery level.

	* Only show the rotate command if the user has album write
	  permission.

	* Overhauled the way that we were using NetPBM.  Before we were
	  depending on the (unreliable) anytopnm script to suck images
	  into a standard format.  Then we would output them and maintain
	  them as JPGs.  Now we examine the image tag and run the right
	  binary by hand, then keep that binary format when we generate
	  thumbnails, highlights and resizes.  While adding some
	  complexity to the system, this allows us to much more carefully
	  track what we're doing with images.

	* Album delete code now cleans up the directory before
	  removing it.  I was trying to avoid this, but because resized
	  and thumbnail images are no longer forced to be JPGs we can
	  possibly have some legitimately stranded files in an album, and
	  we don't want that to prevent an album from getting deleted.

2001-02-11  Bharat Mediratta  <bharat@menalto.com>

	* Removed the executable bit from chmod commands in configure.sh
	  and secure.sh

2001-02-10  Bharat Mediratta  <bharat@menalto.com>

	* It appears that certain flavors of PHP4 prepend "Content-Type"
	  info to upload images.  This totally confuses NetPBM because
	  this info isn't exactly part of the image file specification.
	  This leads to errors like:

		ppmtojpeg: EOF / read error reading magic number
		Not a JPEG file: starts with 0x43 0x6f

	  I fixed this by preprocessing upload images and looking for
	  the Content-Type string and removing it.

2001-02-09  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug in the UserDB code where we were not forcibly
	  creating an Everybody user.  This was causing users to get
	  errors like this:

		Fatal error: Call to a member function on a non-object in
	  		     albums.php on line 76

	* Made the magic_quotes check optional.

2001-02-08  Bharat Mediratta  <bharat@menalto.com>

	* Updated the README file to have better instructions for
	  installing and configuring the gallery, including on ftp-only
	  virtual servers.  Also added directions for customizing the
	  appearance.

	* Dropped the dependency on having a working .htaccess file, since
	  it is becoming apparent that many people don't have this
	  privilege.  It wasn't absolutely necessary anyway now that the
	  mod_rewrite code is optional also.  The only problem is that you
	  can't force the server to allow really large file uploads
	  without .htaccess working...but that'll keep for now.

	* Since we don't require .htacces anymore, we now manually load
	  init.php at the beginning of each entry point PHP file.

	* General improvements of the config wizard including better help
	  text, better layout (well, more readable but perhaps less
	  attractive in some cases), additional checks (we check
	  magic_quotes).  Removed the unused "mv" and "edit" constants.

	* We're now being a lot smarter about detecting when the Gallery
	  has not been configured and showing the user a sane error
	  message (instead of allowing it to bomb on a missing  global
	  variable)

	* Changed the config_version to 8...you'll need to re-run the
	  wizard.

2001-01-23  Bharat Mediratta  <bharat@menalto.com>

	* Fixed a bug in makePathWrapper() where it was (ugh) ignoring
	  the path!

2001-01-16  Bharat Mediratta  <bharat@menalto.com>

	* Cleaned up the way that save-photo detail text was being
	  displayed.

	* Fixed a bug where nobody but the owner was able to add photos
	  to an album.

	* Added upload progress bar.  I use the word "progress" loosely
	  because it doesn't really know how much progress is being made.
	  It's just the equivalent of a blinking light for the user to
	  look at while it chugs away.  When you add photos a window pops
	  up letting you know that it's working.  The window goes away
	  when the upload is complete.

2001-01-10  Bharat Mediratta  <bharat@menalto.com>

	* mod_rewrite is now totally optional.  If your Apache server does
	  not support it, Gallery will not attempt to use the shorter URL
	  style.

2001-01-09  Bharat Mediratta  <bharat@menalto.com>

	* User support is in!  The config wizard will now create an
	  account by the name of "admin" with the password you provide in
	  the wizard.  Using the admin account you can create as many user
	  accounts as you want.  Each album has a set of permissions that
	  you can use to restrict who can see albums, and what they can do
	  with them when they can see them.  An album has an owner who has
	  full permissions for that album.  The ability to create albums
	  is controlled on a per-user basis.

	  This is a large change, but it should be fully backwards
	  compatible with the old gallery data.  When you start a gallery
	  with this new setup, all albums will by default be visible to
	  the public, but modifiable only by the admin account.

2001-01-06  Bharat Mediratta  <bharat@menalto.com>

	* Fixed bug in the setup code that generates the anytopnm wrapper.
	  It was not basing the wrapper on the path the user provided --
	  it was only basing it on the path that it found.  This will
	  further help non-FreeBSD users.

	* Changed from using constant() to one_constant() in setup code
	  'cause "constant" is now a reserved word in PHP 4.0.4

	* Backticks (`) are no longer valid as part of an album name/url

	* Added last modification date and the number of items in the
	  album to the album description.

2001-01-04  chris Smith  <chris@jacko.com>

        * Moved 'Edit Album Title' to the Album Properties Popup.

        * Added app parameter galleryTitle. Because of this bumped the
          version number.

        * Created a style sheet for the gallery. It can be overriden
          by a custom style sheet. It controls fonts and colors.
          Album parameters override these styles when appropriate.

        * Created a new directory called html_wrap. It contains
          wrapper html for the three page types in the gallery:
            gallery main, album view and photo view.
          These wrappers can be used to customize the look of the
          three page types. If custom wrappers are not provided,
          the default ones are used.
          All gallery html is now encapsulated within the navigation
          bars on these pages (a nice rectangle).

        * Added an 'admin' box to sit over the navigation bars. It
          contains the admin controls.

        * All popups now use the gallery style sheet and when
          appropriate have a default focus.

2001-01-02  Bharat Mediratta  <bharat@menalto.com>

	* Made the NetPBM check optional since now it doesn't need to be
	  in the path and you can specify it by hand during the config process.

	* Fixed a conflict between PHP magic quotes and my new anytopnm
	  wrapper by disabling magic quotes in the gallery app.

2001-01-01  Chris Smith  <chris@jacko.com>

	* Made New Year's resolution to enter my changes in the changelog.

	* Added fancy frames to the photos in AlbumView and PhotoView.
	  These frames can be configured on a per-Album basis (in the
          'Edit Album Appearence' panel.

	* UI revamp if the navigation controls (used in the main page and
	  AlbumView pages). Fancy icons.

	* Added navigation controls to the ViewPhoto Page. More fancy icons.

	* Added 'breadcrumb' control to ViewAlbum and ViewPhoto pages. Even
	  more fancy icons.

	* Revamped the admin photo controls. You guessed it, fancy icons.

2001-01-01  Bharat Mediratta  <bharat@menalto.com>

	* Switched from using system("mv") to using rename() for greater
	  portability (thanks Andreas Fuchs [fox@tcnet.ch])

	* Added a wrapper around anytopnm so that it will work properly on
	  webservers that don't have the NetPBM binary directory in the
	  path.  This should ease the pain on most standard Linux
	  configurations.

2000-12-29  Bharat Mediratta  <bharat@menalto.com>

	* Fixed several small bugs involving uploading movies.

	* We now include the error details when an error occurs adding a
	  photo or movie to an album.

	* Minor page navigator cleanup

	* Fixed the config wizard to request the movie thumbnail image as
	  a filesystem path instead of a URL (since we copy it into the
	  album instead of linking to it)

	* Added config version numbering.  During the Gallery upgrade
	  process, this will alert you if it's necessary to re-run the
	  configuration wizard.

	* the generated config.php now contains the GPL license

	* Config wizard now locates the 'mv' binary and uses it via it's
	  full path to avoid a weird bug where the webserver looks for it
	  in /

2000-12-28  Bharat Mediratta  <bharat@harmony.menalto.com>

	* Fixed bug #126982; the wizard won't save config.php if you don't
	  provide zip binaries (and everything else -- ie, it had no
	  concept of an optional constant).

2000-12-27  Bharat Mediratta  <bharat@harmony.menalto.com>

	* All references to specific images now use the image ID (eg
	  "photo-aaa", "photo-aac") instead of the image index (eg "1",
	  "3").  This means that URLs to specific images will continue to
	  be valid even if they are moved around the album.  That's
	  essential if you want to give a URL for an image to a friend.

	* Broke main album page into separate pages and used the navigator
	  to swap between them.  This will lighten the server load since
	  every time the end user goes to the main gallery page they won't
	  be downloading every highlight image.  Not to mention the fact
	  that in large galleries you can have a ton of HTML just to
	  display all the album names, etc.

2000-12-26  Bharat Mediratta  <bharat@harmony.menalto.com>

	* Rotating photos now also rotates the resized version (instead of
	  throwing it out).

2000-11-23  Bharat Mediratta  <bharat@harmony.menalto.com>

	* Removed an extra backslash from htaccess.template that was
	  causing the mod_rewrite rules generated in .htaccess to be
	  broken.  This caused us not to be able to view album photos.

2000-09-28  Bharat Mediratta  <bharat@harmony.menalto.com>

	* Removed final dependencies on GD and JPEG, so likewise removed
	  those checks from the config wizard

	* Setup code: Made the code that detects the webserver uid more
	  robust so that it'll work in the absence of posix (it falls back
	  on 'whoami')

	* Setup code: Removed extra commas at the end of array
	  initializers as they caused parse problems on earlier versions
	  of PHP 4

2000-09-19  Bharat Mediratta  <bharat@menalto.com>

	* Added error checking code to allow us to catch photos that we
	  won't be able to work with and flag them early.  This helps us
	  prevent having extra crufty file lying around the album from
	  failed photo insertions (which in turn leads to problems when we
	  want to delete the album)

	* Abstracted my ad-hoc flush code into a function and put it in
	  util.php

	* Broke classes.php up into individual class files.  I should have
	  done this ages ago...the repetition of method names across
	  classes makes it hard to find the right method if they're all in
	  the same file.

2000-09-17  Bharat Mediratta  <bharat@menalto.com>

	* Added versioning support

	* Added feedback to the user when resizing all thumbnails or all
	  photos.

	* Lots of small changes regarding thumbnails not worth mentioning
	  here.

	* Fixed a bug where resizing to original size was not working at all.

	* Removed gif_support feature because now NetPBM is mandatory.

	* resize now uses the netpbm library to do resize instead of
	  GD. This rUleZ. [CHRIS]

	* Made the border size a choice so that off could be an
	  option. Also made the resize a choice, for the same reason [CHRIS]

	* When loading the old values, it was looking at
	  app->defaults[xxx] instead of app->default[xxx], so the defaults
	  was always getting reset to the original settings.  [CHRIS]

	* Fixed several bugs stemmming from the fact that we were not
	  always correctly treating all thumbnails as JPGs.  This would
	  mean that we'd sometimes leave cruft files lying around which
	  would prevent deleting albums.

	* Modified search.php so it doesn't search albums that aren't
	  up-to-date.

2000-07-05  Bharat Mediratta  <bharat@menalto.com>

	* Added new setup process using the 'setup' directory.  This
	set of pages, although not yet very robust, will walk you through
	the process of configuring Gallery for your local site.

2000-07-04  Bharat Mediratta  <bharat@menalto.com>

	* Updated README to reflect v1.0 feature list
